<?php
/**
 * @file
 * mailing.features.filter.inc
 */

/**
 * Implements hook_filter_default_formats().
 */
function mailing_filter_default_formats() {
  $formats = array();

  // Exported format: mailhtml.
  $formats['mailhtml'] = array(
    'format' => 'mailhtml',
    'name' => 'mailhtml',
    'cache' => 1,
    'status' => 1,
    'weight' => -9,
    'filters' => array(
      'wysiwyg' => array(
        'weight' => -46,
        'status' => 1,
        'settings' => array(
          'valid_elements' => '@[class|style|title],
a[href|target|title],
img[src|width|height|alt|title],
div[align<center?justify?left?right],
p[align<center?justify?left?right],
br,span,em,strong,cite,code,blockquote,ul,ol,li,dl,dt,dd,
table[width|cellpadding|cellspacing|border], tr[align|valign], td[align|valign|width], tbody, th[align|valign|width], thead, tfoot, colgroup, col,',
          'allow_comments' => 0,
          'nofollow_policy' => 'whitelist',
          'nofollow_domains' => array(
            0 => 'www.materio.com',
          ),
          'style_color' => array(
            'color' => 'color',
            'background-color' => 'background-color',
            'background' => 0,
            'background-image' => 0,
            'background-repeat' => 0,
            'background-attachment' => 0,
            'background-position' => 0,
          ),
          'style_font' => array(
            'font' => 'font',
            'font-family' => 'font-family',
            'font-size' => 'font-size',
            'font-size-adjust' => 0,
            'font-stretch' => 0,
            'font-style' => 0,
            'font-variant' => 0,
            'font-weight' => 0,
          ),
          'style_text' => array(
            'text-align' => 'text-align',
            'text-decoration' => 'text-decoration',
            'text-indent' => 0,
            'text-transform' => 0,
            'letter-spacing' => 0,
            'word-spacing' => 0,
            'white-space' => 0,
            'direction' => 0,
            'unicode-bidi' => 0,
          ),
          'style_box' => array(
            'margin' => 'margin',
            'margin-top' => 'margin-top',
            'margin-right' => 'margin-right',
            'margin-bottom' => 'margin-bottom',
            'margin-left' => 'margin-left',
            'padding' => 'padding',
            'padding-top' => 'padding-top',
            'padding-right' => 'padding-right',
            'padding-bottom' => 'padding-bottom',
            'padding-left' => 'padding-left',
          ),
          'style_border-1' => array(
            'border' => 'border',
            'border-top' => 'border-top',
            'border-right' => 'border-right',
            'border-bottom' => 'border-bottom',
            'border-left' => 'border-left',
            'border-width' => 'border-width',
            'border-top-width' => 'border-top-width',
            'border-right-width' => 'border-right-width',
            'border-bottom-width' => 'border-bottom-width',
            'border-left-width' => 'border-left-width',
          ),
          'style_border-2' => array(
            'border-color' => 'border-color',
            'border-top-color' => 'border-top-color',
            'border-right-color' => 'border-right-color',
            'border-bottom-color' => 'border-bottom-color',
            'border-left-color' => 'border-left-color',
            'border-style' => 'border-style',
            'border-top-style' => 'border-top-style',
            'border-right-style' => 'border-right-style',
            'border-bottom-style' => 'border-bottom-style',
            'border-left-style' => 'border-left-style',
          ),
          'style_dimension' => array(
            'height' => 'height',
            'width' => 'width',
            'line-height' => 0,
            'max-height' => 0,
            'max-width' => 0,
            'min-height' => 0,
            'min-width' => 0,
          ),
          'style_positioning' => array(
            'bottom' => 0,
            'clip' => 0,
            'left' => 0,
            'overflow' => 0,
            'right' => 0,
            'top' => 0,
            'vertical-align' => 0,
            'z-index' => 0,
          ),
          'style_layout' => array(
            'clear' => 0,
            'display' => 0,
            'float' => 0,
            'position' => 0,
            'visibility' => 0,
          ),
          'style_list' => array(
            'list-style' => 0,
            'list-style-image' => 0,
            'list-style-position' => 0,
            'list-style-type' => 0,
          ),
          'style_table' => array(
            'border-collapse' => 'border-collapse',
            'border-spacing' => 'border-spacing',
            'caption-side' => 'caption-side',
            'empty-cells' => 'empty-cells',
            'table-layout' => 'table-layout',
          ),
          'style_user' => array(
            'cursor' => 0,
            'outline' => 0,
            'outline-width' => 0,
            'outline-style' => 0,
            'outline-color' => 0,
            'zoom' => 0,
          ),
          'rule_valid_classes' => array(),
          'rule_valid_ids' => array(),
          'rule_style_urls' => array(),
        ),
      ),
      'filter_autop' => array(
        'weight' => -45,
        'status' => 1,
        'settings' => array(),
      ),
      'filter_htmlcorrector' => array(
        'weight' => -44,
        'status' => 1,
        'settings' => array(),
      ),
      'video_filter' => array(
        'weight' => -41,
        'status' => 1,
        'settings' => array(
          'video_filter_width' => 400,
          'video_filter_height' => 400,
          'video_filter_autoplay' => 1,
          'video_filter_related' => 0,
          'video_filter_html5' => 1,
          'video_filter_codecs' => array(
            'archive' => 'Archive.org',
            'bliptv' => 'Blip.tv',
            'candidcareer' => 'Candid Career',
            'capped' => 'Capped',
            'collegehumor' => 'College Humor',
            'coub' => 'Coub',
            'dailymotion' => 'DailyMotion',
            'democracynow_fullshow' => 'DemocracyNow Fullshow',
            'democracynow_story' => 'DemocracyNow Story',
            'flickr_slideshows' => 'Flickr Slideshows',
            'flickr_video' => 'Flickr Video',
            'foxnews' => 'Fox News',
            'gametrailers' => 'Game Trailers',
            'gamevideos' => 'Game Videos',
            'giphy' => 'Giphy',
            'godtube' => 'GodTube',
            'google' => 'Google Video',
            'instagram' => 'Instagram',
            'metacafe' => 'Meta Cafe',
            'mailru' => 'Mail.Ru',
            'myspace' => 'MySpace',
            'myvideo' => 'MyVideo',
            'picasa_slideshows' => 'Picasa Slideshows',
            'rutube' => 'Rutube',
            'slideshare' => 'Slideshare',
            'streamhoster' => 'Streamhoster',
            'teachertube' => 'Teachertube',
            'ted' => 'TED',
            'twitch' => 'Twitch',
            'ustream' => 'Ustream',
            'vbox' => 'Vbox7',
            'vimeo' => 'Vimeo',
            'vine' => 'Vine',
            'whatchado' => 'whatchado',
            'wistia' => 'Wistia',
            'youku' => 'YouKu',
            'youtube' => 'YouTube',
            'youtube_playlist' => 'YouTube (Playlist)',
          ),
          'video_filter_multiple_sources' => TRUE,
        ),
      ),
      'pathologic' => array(
        'weight' => -40,
        'status' => 1,
        'settings' => array(
          'local_paths' => '',
          'protocol_style' => 'full',
        ),
      ),
    ),
  );

  return $formats;
}
