<?php
/**
 * @file
 * materio_search.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function materio_search_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_default_search_api_index().
 */
function materio_search_default_search_api_index() {
  $items = array();
  $items['breves_en'] = entity_import('search_api_index', '{
    "name" : "Breves EN",
    "machine_name" : "breves_en",
    "description" : null,
    "server" : "materio_solr3_en",
    "item_type" : "node",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "en",
      "fields" : {
        "author" : { "type" : "integer", "entity_type" : "user" },
        "body:value" : { "type" : "text" },
        "field_onthologie:name_field" : { "type" : "list\\u003Ctext\\u003E", "boost" : "0.0" },
        "field_onthologie:synonyms_synonym" : { "type" : "list\\u003Clist\\u003Ctext\\u003E\\u003E", "boost" : "0.0" },
        "field_tags_libres:name_field" : { "type" : "list\\u003Ctext\\u003E", "boost" : "0.0" },
        "field_tags_libres:synonyms_synonym" : { "type" : "list\\u003Clist\\u003Ctext\\u003E\\u003E", "boost" : "0.0" },
        "search_api_access_node" : { "type" : "list\\u003Cstring\\u003E" },
        "search_api_language" : { "type" : "string" },
        "status" : { "type" : "boolean" },
        "title" : { "type" : "text" },
        "title_field" : { "type" : "text" },
        "type" : { "type" : "string" }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : { "default" : "0", "bundles" : { "breve" : "breve" } }
        },
        "search_api_alter_node_access" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "en" : "en" } }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "title" : true, "title_field" : true } }
        },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  $items['breves_fr'] = entity_import('search_api_index', '{
    "name" : "Breves FR",
    "machine_name" : "breves_fr",
    "description" : null,
    "server" : "materio_solr3_fr",
    "item_type" : "node",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "fr",
      "fields" : {
        "author" : { "type" : "integer", "entity_type" : "user" },
        "body:value" : { "type" : "text" },
        "field_onthologie:name_field" : { "type" : "list\\u003Ctext\\u003E", "boost" : "0.0" },
        "field_onthologie:synonyms_synonym" : { "type" : "list\\u003Clist\\u003Ctext\\u003E\\u003E", "boost" : "0.0" },
        "field_tags_libres:name_field" : { "type" : "list\\u003Ctext\\u003E", "boost" : "0.0" },
        "field_tags_libres:synonyms_synonym" : { "type" : "list\\u003Clist\\u003Ctext\\u003E\\u003E", "boost" : "0.0" },
        "search_api_access_node" : { "type" : "list\\u003Cstring\\u003E" },
        "search_api_language" : { "type" : "string" },
        "status" : { "type" : "boolean" },
        "title" : { "type" : "text" },
        "title_field" : { "type" : "text" },
        "type" : { "type" : "string" }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : { "default" : "0", "bundles" : { "breve" : "breve" } }
        },
        "search_api_alter_node_access" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "fr" : "fr" } }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "title" : true, "title_field" : true } }
        },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : { "title" : true, "title_field" : true },
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  $items['materiaux_breves_en'] = entity_import('search_api_index', '{
    "name" : "Materiaux Breves EN",
    "machine_name" : "materiaux_breves_en",
    "description" : null,
    "server" : "materio_solr3_en",
    "item_type" : "node",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "en",
      "fields" : {
        "author" : { "type" : "integer", "entity_type" : "user" },
        "body:value" : { "type" : "text", "boost" : "0.8" },
        "field_description:value" : { "type" : "text", "boost" : "0.8" },
        "field_nature_titre" : {
          "type" : "text",
          "boost" : "3.0",
          "real_type" : "edge_n2_kw_mapped_text"
        },
        "field_reference_materio" : { "type" : "text", "boost" : "0.3" },
        "materio_search_api_node_propertie_companie" : { "type" : "list\\u003Ctext\\u003E" },
        "materio_search_api_onthologie_term_1_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_2_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_3_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_4_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_5_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_others_text" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_mapped_text\\u003E"
        },
        "materio_search_api_taglibres_text" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_mapped_text\\u003E"
        },
        "nid" : { "type" : "integer" },
        "search_api_access_node" : { "type" : "list\\u003Cstring\\u003E" },
        "search_api_language" : { "type" : "string" },
        "status" : { "type" : "boolean" },
        "title_field" : {
          "type" : "text",
          "boost" : "3.0",
          "real_type" : "edge_n2_kw_mapped_text"
        },
        "type" : { "type" : "string" }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : {
            "default" : "0",
            "bundles" : { "materiau" : "materiau", "breve" : "breve" }
          }
        },
        "search_api_alter_node_access" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "en" : "en" } }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } }
      },
      "processors" : {
        "search_api_case_ignore" : { "status" : 1, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : [],
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : { "fields" : [], "spaces" : "[^[:alnum:]]", "ignorable" : "[\\u0027]" }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : [],
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  $items['materiaux_breves_fr'] = entity_import('search_api_index', '{
    "name" : "Materiaux Breves FR",
    "machine_name" : "materiaux_breves_fr",
    "description" : null,
    "server" : "materio_solr3_fr",
    "item_type" : "node",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "fr",
      "fields" : {
        "author" : { "type" : "integer", "entity_type" : "user" },
        "body:value" : { "type" : "text", "boost" : "0.8" },
        "field_description:value" : { "type" : "text", "boost" : "0.8" },
        "field_nature_titre" : { "type" : "text", "boost" : "3.0" },
        "field_reference_materio" : { "type" : "text", "boost" : "0.3" },
        "materio_search_api_node_propertie_companie" : { "type" : "list\\u003Ctext\\u003E" },
        "materio_search_api_onthologie_term_1_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_2_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_3_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_4_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_5_text" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "materio_search_api_onthologie_term_others_text" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_mapped_text\\u003E"
        },
        "materio_search_api_taglibres_text" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_mapped_text\\u003E"
        },
        "nid" : { "type" : "integer" },
        "search_api_access_node" : { "type" : "list\\u003Cstring\\u003E" },
        "search_api_language" : { "type" : "string" },
        "status" : { "type" : "boolean" },
        "title_field" : { "type" : "text", "boost" : "3.0" },
        "type" : { "type" : "string" }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : {
            "default" : "0",
            "bundles" : { "breve" : "breve", "materiau" : "materiau" }
          }
        },
        "search_api_alter_node_access" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_node_status" : { "status" : 1, "weight" : "0", "settings" : [] },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "fr" : "fr" } }
        },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } }
      },
      "processors" : {
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "title_field" : true, "field_reference_materio" : true } }
        },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : { "title_field" : true, "field_reference_materio" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : {
            "fields" : { "title_field" : true, "field_reference_materio" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : { "title_field" : true, "field_reference_materio" : true },
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  $items['referencement_en'] = entity_import('search_api_index', '{
    "name" : "Autocomplet EN",
    "machine_name" : "referencement_en",
    "description" : null,
    "server" : "materio_solr3_en",
    "item_type" : "taxonomy_term",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "en",
      "fields" : {
        "description" : { "type" : "text" },
        "materio_search_api_term_property_dup_name" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "name" : { "type" : "text" },
        "name_field" : { "type" : "text", "real_type" : "edge_n2_kw_text" },
        "search_api_language" : { "type" : "string" },
        "synonyms" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_mapped_text\\u003E"
        },
        "synonyms_synonym" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_text\\u003E"
        }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : {
            "default" : "0",
            "bundles" : { "tag_libres" : "tag_libres", "onthologie" : "onthologie" }
          }
        },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "en" : "en" } }
        },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } }
      },
      "processors" : {
        "content_taxonomy_autocomplete_moderated_terms" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : { "synonyms_synonym" : true, "name_field" : true } }
        },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : { "synonyms_synonym" : true, "name_field" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_transliteration" : {
          "status" : 0,
          "weight" : "15",
          "settings" : { "fields" : {
              "name" : true,
              "synonyms" : true,
              "materio_search_api_term_property_dup_name" : true,
              "synonyms_synonym" : true,
              "name_field" : true
            }
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : { "fields" : [], "spaces" : "[^[:alnum:]]", "ignorable" : "[\\u0027]" }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : { "synonyms_synonym" : true, "name_field" : true },
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        },
        "search_api_highlighting" : {
          "status" : 0,
          "weight" : "35",
          "settings" : {
            "prefix" : "\\u003Cstrong\\u003E",
            "suffix" : "\\u003C\\/strong\\u003E",
            "excerpt" : 1,
            "excerpt_length" : "256",
            "exclude_fields" : [],
            "highlight" : "always"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  $items['referencement_fr'] = entity_import('search_api_index', '{
    "name" : "Autocomplet FR",
    "machine_name" : "referencement_fr",
    "description" : null,
    "server" : "materio_solr3_fr",
    "item_type" : "taxonomy_term",
    "options" : {
      "index_directly" : 0,
      "cron_limit" : "50",
      "entity_translation_language" : "fr",
      "fields" : {
        "description" : { "type" : "text", "boost" : "0.3" },
        "materio_search_api_term_property_dup_name" : { "type" : "text", "real_type" : "edge_n2_kw_mapped_text" },
        "name" : { "type" : "text" },
        "name_field" : { "type" : "text", "real_type" : "edge_n2_kw_text" },
        "search_api_language" : { "type" : "string" },
        "synonyms_synonym" : {
          "type" : "list\\u003Ctext\\u003E",
          "real_type" : "list\\u003Cedge_n2_kw_text\\u003E"
        }
      },
      "data_alter_callbacks" : {
        "search_api_alter_bundle_filter" : {
          "status" : 1,
          "weight" : "-10",
          "settings" : {
            "default" : "0",
            "bundles" : { "tag_libres" : "tag_libres", "onthologie" : "onthologie" }
          }
        },
        "search_api_alter_language_control" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "lang_field" : "", "languages" : { "und" : "und", "fr" : "fr" } }
        },
        "search_api_alter_add_hierarchy" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_alter_add_aggregation" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_url" : { "status" : 0, "weight" : "0", "settings" : [] },
        "search_api_alter_add_viewed_entity" : { "status" : 0, "weight" : "0", "settings" : { "mode" : "full" } }
      },
      "processors" : {
        "content_taxonomy_autocomplete_moderated_terms" : { "status" : 0, "weight" : "0", "settings" : { "fields" : [] } },
        "search_api_case_ignore" : {
          "status" : 1,
          "weight" : "0",
          "settings" : { "fields" : {
              "description" : true,
              "materio_search_api_term_property_dup_name" : true,
              "synonyms_synonym" : true,
              "name_field" : true
            }
          }
        },
        "search_api_html_filter" : {
          "status" : 0,
          "weight" : "10",
          "settings" : {
            "fields" : { "description" : true, "synonyms_synonym" : true, "name_field" : true },
            "title" : 0,
            "alt" : 1,
            "tags" : "h1 = 5\\r\\nh2 = 3\\r\\nh3 = 2\\r\\nstrong = 2\\r\\nb = 2\\r\\nem = 1.5\\r\\nu = 1.5"
          }
        },
        "search_api_transliteration" : {
          "status" : 0,
          "weight" : "15",
          "settings" : { "fields" : {
              "description" : true,
              "materio_search_api_term_property_dup_name" : true,
              "synonyms_synonym" : true,
              "name_field" : true
            }
          }
        },
        "search_api_tokenizer" : {
          "status" : 0,
          "weight" : "20",
          "settings" : {
            "fields" : { "description" : true },
            "spaces" : "[^[:alnum:]]",
            "ignorable" : "[\\u0027]"
          }
        },
        "search_api_stopwords" : {
          "status" : 0,
          "weight" : "30",
          "settings" : {
            "fields" : { "description" : true, "synonyms_synonym" : true, "name_field" : true },
            "file" : "",
            "stopwords" : "but\\r\\ndid\\r\\nthe this that those\\r\\netc"
          }
        },
        "search_api_highlighting" : {
          "status" : 0,
          "weight" : "35",
          "settings" : {
            "prefix" : "\\u003Cstrong\\u003E",
            "suffix" : "\\u003C\\/strong\\u003E",
            "excerpt" : 1,
            "excerpt_length" : "256",
            "exclude_fields" : [],
            "highlight" : "always"
          }
        }
      }
    },
    "enabled" : "1",
    "read_only" : "0"
  }');
  return $items;
}
