<?php
/**
 * @file
 * showroom.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function showroom_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'assign Admin showroom role'.
  $permissions['assign Admin showroom role'] = array(
    'name' => 'assign Admin showroom role',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'role_delegation',
  );

  // Exported permission: 'create field_location'.
  $permissions['create field_location'] = array(
    'name' => 'create field_location',
    'roles' => array(
      'Admin showroom' => 'Admin showroom',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_showroom'.
  $permissions['create field_showroom'] = array(
    'name' => 'create field_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create field_tode_showroom'.
  $permissions['create field_tode_showroom'] = array(
    'name' => 'create field_tode_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'create showroom content'.
  $permissions['create showroom content'] = array(
    'name' => 'create showroom content',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any showroom content'.
  $permissions['delete any showroom content'] = array(
    'name' => 'delete any showroom content',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own showroom content'.
  $permissions['delete own showroom content'] = array(
    'name' => 'delete own showroom content',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in showroom'.
  $permissions['delete terms in showroom'] = array(
    'name' => 'delete terms in showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'delete users with role 13'.
  $permissions['delete users with role 13'] = array(
    'name' => 'delete users with role 13',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'edit any showroom content'.
  $permissions['edit any showroom content'] = array(
    'name' => 'edit any showroom content',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit field_location'.
  $permissions['edit field_location'] = array(
    'name' => 'edit field_location',
    'roles' => array(
      'Admin showroom' => 'Admin showroom',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_showroom'.
  $permissions['edit field_showroom'] = array(
    'name' => 'edit field_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit field_tode_showroom'.
  $permissions['edit field_tode_showroom'] = array(
    'name' => 'edit field_tode_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_location'.
  $permissions['edit own field_location'] = array(
    'name' => 'edit own field_location',
    'roles' => array(
      'Admin showroom' => 'Admin showroom',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_showroom'.
  $permissions['edit own field_showroom'] = array(
    'name' => 'edit own field_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own field_tode_showroom'.
  $permissions['edit own field_tode_showroom'] = array(
    'name' => 'edit own field_tode_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'edit own showroom content'.
  $permissions['edit own showroom content'] = array(
    'name' => 'edit own showroom content',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit terms in showroom'.
  $permissions['edit terms in showroom'] = array(
    'name' => 'edit terms in showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit users with role 13'.
  $permissions['edit users with role 13'] = array(
    'name' => 'edit users with role 13',
    'roles' => array(
      'administrator' => 'administrator',
    ),
    'module' => 'administerusersbyrole',
  );

  // Exported permission: 'enter showroom revision log entry'.
  $permissions['enter showroom revision log entry'] = array(
    'name' => 'enter showroom revision log entry',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'materio showroom edit all samples fields'.
  $permissions['materio showroom edit all samples fields'] = array(
    'name' => 'materio showroom edit all samples fields',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'materio_showroom',
  );

  // Exported permission: 'materio showroom migrate fields'.
  $permissions['materio showroom migrate fields'] = array(
    'name' => 'materio showroom migrate fields',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'materio_showroom',
  );

  // Exported permission: 'merge showroom terms'.
  $permissions['merge showroom terms'] = array(
    'name' => 'merge showroom terms',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'term_merge',
  );

  // Exported permission: 'override showroom authored by option'.
  $permissions['override showroom authored by option'] = array(
    'name' => 'override showroom authored by option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override showroom authored on option'.
  $permissions['override showroom authored on option'] = array(
    'name' => 'override showroom authored on option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override showroom promote to front page option'.
  $permissions['override showroom promote to front page option'] = array(
    'name' => 'override showroom promote to front page option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override showroom published option'.
  $permissions['override showroom published option'] = array(
    'name' => 'override showroom published option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override showroom revision option'.
  $permissions['override showroom revision option'] = array(
    'name' => 'override showroom revision option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override showroom sticky option'.
  $permissions['override showroom sticky option'] = array(
    'name' => 'override showroom sticky option',
    'roles' => array(
      'root' => 'root',
    ),
    'module' => 'override_node_options',
  );

  // Exported permission: 'show showroom title'.
  $permissions['show showroom title'] = array(
    'name' => 'show showroom title',
    'roles' => array(
      'Admin showroom' => 'Admin showroom',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'materio_page_title',
  );

  // Exported permission: 'view field_location'.
  $permissions['view field_location'] = array(
    'name' => 'view field_location',
    'roles' => array(
      'Adhérent' => 'Adhérent',
      'Admin showroom' => 'Admin showroom',
      'Premium' => 'Premium',
      'Student' => 'Student',
      'Unverified' => 'Unverified',
      'Utilisateur Alpha Tester' => 'Utilisateur Alpha Tester',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_showroom'.
  $permissions['view field_showroom'] = array(
    'name' => 'view field_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view field_tode_showroom'.
  $permissions['view field_tode_showroom'] = array(
    'name' => 'view field_tode_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_location'.
  $permissions['view own field_location'] = array(
    'name' => 'view own field_location',
    'roles' => array(
      'Admin showroom' => 'Admin showroom',
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_showroom'.
  $permissions['view own field_showroom'] = array(
    'name' => 'view own field_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  // Exported permission: 'view own field_tode_showroom'.
  $permissions['view own field_tode_showroom'] = array(
    'name' => 'view own field_tode_showroom',
    'roles' => array(
      'administrator' => 'administrator',
      'root' => 'root',
    ),
    'module' => 'field_permissions',
  );

  return $permissions;
}
