<?php
/**
 * @file
 * materio_administration.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function materio_administration_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'admin_content_node';
  $view->description = 'View, edit, and delete your site\'s content.';
  $view->tag = 'admin';
  $view->base_table = 'node';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Contenu';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer nodes';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 50;
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'title',
    'name' => 'name',
    'status' => 'status',
    'changed' => 'changed',
    'edit_node' => 'title',
    'delete_node' => 'delete_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
    ),
  );
  /* Relationship: Content revision: User */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node_revision';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Utilisateur';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  /* Relationship: Content: Taxonomy terms on node */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Published */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'node';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Mis à jour';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['label'] = '';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'AND',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Titre';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember'] = TRUE;
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 1;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Auteur';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'name';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 'All';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Publié';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  /* Filter criterion: Taxonomy term: Vocabulary */
  $handler->display->display_options['filters']['vid']['id'] = 'vid';
  $handler->display->display_options['filters']['vid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['vid']['field'] = 'vid';
  $handler->display->display_options['filters']['vid']['relationship'] = 'term_node_tid';
  $handler->display->display_options['filters']['vid']['group'] = 1;
  $handler->display->display_options['filters']['vid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['vid']['expose']['operator_id'] = 'vid_op';
  $handler->display->display_options['filters']['vid']['expose']['label'] = 'Vocabulaire';
  $handler->display->display_options['filters']['vid']['expose']['operator'] = 'vid_op';
  $handler->display->display_options['filters']['vid']['expose']['identifier'] = 'vid';
  $handler->display->display_options['filters']['vid']['expose']['remember'] = TRUE;

  /* Display: System */
  $handler = $view->new_display('system', 'System', 'system_1');
  $translatables['admin_content_node'] = array(
    t('Defaults'),
    t('Contenu'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Utilisateur'),
    t('term'),
    t('Title'),
    t('Type'),
    t('Published'),
    t('Mis à jour'),
    t('Titre'),
    t('Auteur'),
    t('Publié'),
    t('Vocabulaire'),
    t('System'),
  );
  $export['admin_content_node'] = $view;

  $view = new view();
  $view->name = 'admin_contents';
  $view->description = 'Administrative view for content';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Admin Content';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Contenu';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Filtrer';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'field_materiau_image' => 'field_materiau_image',
    'field_visuel' => 'field_materiau_image',
    'type' => 'title_field',
    'title_field' => 'title_field',
    'field_reference_materio' => 'title_field',
    'field_localisation_1' => 'field_reference_materio',
    'edit_node' => 'title_field',
    'field_company_fab' => 'field_company_fab',
    'field_company_distrib' => 'field_company_fab',
    'field_onthologie' => 'field_onthologie',
    'field_tags_libres' => 'field_tags_libres',
    'field_materiau_ref' => 'field_materiau_ref',
    'field_breve_ref' => 'field_materiau_ref',
    'field_memo' => 'field_memo',
    'field_attachments' => 'field_attachments',
    'field_localisation' => 'field_localisation',
    'sid' => 'sid',
    'delete_node' => 'sid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_materiau_image' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_visuel' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_field' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_reference_materio' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_localisation_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_company_fab' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_company_distrib' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_onthologie' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_tags_libres' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_materiau_ref' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_breve_ref' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_memo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_attachments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_localisation' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['label'] = 'Résumé';
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Title / Name';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'strong';
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = FALSE;
  /* Field: Content: Référence Materio */
  $handler->display->display_options['fields']['field_reference_materio']['id'] = 'field_reference_materio';
  $handler->display->display_options['fields']['field_reference_materio']['table'] = 'field_data_field_reference_materio';
  $handler->display->display_options['fields']['field_reference_materio']['field'] = 'field_reference_materio';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: Content: Manufacturer */
  $handler->display->display_options['fields']['field_company_fab']['id'] = 'field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['table'] = 'field_data_field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['field'] = 'field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['label'] = 'Fabricants / Distributeurs';
  $handler->display->display_options['fields']['field_company_fab']['delta_offset'] = '0';
  /* Field: Content: Distributor */
  $handler->display->display_options['fields']['field_company_distrib']['id'] = 'field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['table'] = 'field_data_field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['field'] = 'field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['delta_offset'] = '0';
  /* Field: Content: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'node';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  /* Field: Content translation: Translate link */
  $handler->display->display_options['fields']['translate_node']['id'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['table'] = 'node';
  $handler->display->display_options['fields']['translate_node']['field'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['translate_node']['alter']['text'] = '<span class="button">[translate_node]</span>';
  /* Field: Content translation: Translation status */
  $handler->display->display_options['fields']['translate']['id'] = 'translate';
  $handler->display->display_options['fields']['translate']['table'] = 'node';
  $handler->display->display_options['fields']['translate']['field'] = 'translate';
  $handler->display->display_options['fields']['translate']['exclude'] = TRUE;
  $handler->display->display_options['fields']['translate']['not'] = 0;
  /* Field: Workflow: Current state */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'short';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['alter']['text'] = '<span class="node-delete">[delete_node]</span>';
  /* Sort criterion: Content: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['sorts']['changed']['granularity'] = 'minute';
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Le titre contient';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember'] = TRUE;
  /* Filter criterion: Workflow: Current state */
  $handler->display->display_options['filters']['sid']['id'] = 'sid';
  $handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['filters']['sid']['field'] = 'sid';
  $handler->display->display_options['filters']['sid']['group'] = 1;
  $handler->display->display_options['filters']['sid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['sid']['expose']['operator_id'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['label'] = 'Processus';
  $handler->display->display_options['filters']['sid']['expose']['operator'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['identifier'] = 'sid';
  $handler->display->display_options['filters']['sid']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'breve' => 'breve',
    'materiau' => 'materiau',
    'page' => 'page',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type de contenu';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['reduce'] = TRUE;
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';

  /* Display: Page : all */
  $handler = $view->new_display('page', 'Page : all', 'page');
  $handler->display->display_options['enabled'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['path'] = 'admin/content/nodes';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Content';
  $handler->display->display_options['menu']['weight'] = '-100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'dashboard';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Recent Content';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['hide_alter_empty'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = FALSE;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Modifier';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  $handler->display->display_options['fields']['edit_node']['hide_alter_empty'] = FALSE;
  /* Field: Content: Published */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'node';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['status']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: Content: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'node';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['language']['hide_alter_empty'] = FALSE;
  /* Field: Content translation: Translate link */
  $handler->display->display_options['fields']['translate_node']['id'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['table'] = 'node';
  $handler->display->display_options['fields']['translate_node']['field'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['translate_node']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['translate_node']['text'] = 'Traduire';

  /* Display: Page : materiaux */
  $handler = $view->new_display('page', 'Page : materiaux', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Materiaux/brèves';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    13 => '13',
    3 => '3',
    4 => '4',
    12 => '12',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'nid' => 'nid',
    'field_materiau_image' => 'field_materiau_image',
    'field_visuel' => 'field_materiau_image',
    'type' => 'title_field',
    'title_field' => 'title_field',
    'field_reference_materio' => 'title_field',
    'edit_node' => 'title_field',
    'nothing' => 'title_field',
    'field_company_fab' => 'field_company_fab',
    'field_company_distrib' => 'field_company_fab',
    'field_onthologie' => 'field_onthologie',
    'field_tags_libres' => 'field_tags_libres',
    'field_materiau_ref' => 'field_materiau_ref',
    'field_breve_ref' => 'field_materiau_ref',
    'field_memo' => 'field_memo',
    'field_attachments' => 'field_attachments',
    'field_localisation' => 'field_localisation',
    'field_location' => 'field_location',
    'sid' => 'sid',
    'delete_node' => 'sid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_materiau_image' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_visuel' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_field' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_reference_materio' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_company_fab' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_company_distrib' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_onthologie' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_tags_libres' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_materiau_ref' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_breve_ref' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_memo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_attachments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_localisation' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_location' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::workflow_select_given_state_action' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_materiau_image']['id'] = 'field_materiau_image';
  $handler->display->display_options['fields']['field_materiau_image']['table'] = 'field_data_field_materiau_image';
  $handler->display->display_options['fields']['field_materiau_image']['field'] = 'field_materiau_image';
  $handler->display->display_options['fields']['field_materiau_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_materiau_image']['settings'] = array(
    'image_style' => 'thumbnail',
    'image_link' => 'content',
  );
  $handler->display->display_options['fields']['field_materiau_image']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_materiau_image']['delta_offset'] = '0';
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_visuel']['id'] = 'field_visuel';
  $handler->display->display_options['fields']['field_visuel']['table'] = 'field_data_field_visuel';
  $handler->display->display_options['fields']['field_visuel']['field'] = 'field_visuel';
  $handler->display->display_options['fields']['field_visuel']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_visuel']['settings'] = array(
    'image_style' => 'thumbnail',
    'image_link' => 'content',
  );
  $handler->display->display_options['fields']['field_visuel']['delta_limit'] = '1';
  $handler->display->display_options['fields']['field_visuel']['delta_offset'] = '0';
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Titre */
  $handler->display->display_options['fields']['title_field']['id'] = 'title_field';
  $handler->display->display_options['fields']['title_field']['table'] = 'field_data_title_field';
  $handler->display->display_options['fields']['title_field']['field'] = 'title_field';
  $handler->display->display_options['fields']['title_field']['element_type'] = 'strong';
  $handler->display->display_options['fields']['title_field']['link_to_entity'] = 1;
  /* Field: Content: Référence Materio */
  $handler->display->display_options['fields']['field_reference_materio']['id'] = 'field_reference_materio';
  $handler->display->display_options['fields']['field_reference_materio']['table'] = 'field_data_field_reference_materio';
  $handler->display->display_options['fields']['field_reference_materio']['field'] = 'field_reference_materio';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  $handler->display->display_options['fields']['edit_node']['element_wrapper_type'] = 'span';
  $handler->display->display_options['fields']['edit_node']['element_wrapper_class'] = 'node-edit';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Translate';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a class="node-edit" href="/node/[nid]/translate">Translate</a>';
  /* Field: Content: Manufacturer */
  $handler->display->display_options['fields']['field_company_fab']['id'] = 'field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['table'] = 'field_data_field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['field'] = 'field_company_fab';
  $handler->display->display_options['fields']['field_company_fab']['label'] = 'Fabricants/Distributeurs';
  $handler->display->display_options['fields']['field_company_fab']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_company_fab']['alter']['text'] = 'Fab :<br/>
[field_company_fab] ';
  $handler->display->display_options['fields']['field_company_fab']['delta_offset'] = '0';
  /* Field: Content: Distributor */
  $handler->display->display_options['fields']['field_company_distrib']['id'] = 'field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['table'] = 'field_data_field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['field'] = 'field_company_distrib';
  $handler->display->display_options['fields']['field_company_distrib']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_company_distrib']['alter']['text'] = 'Distrib : <br />
[field_company_distrib]';
  $handler->display->display_options['fields']['field_company_distrib']['delta_offset'] = '0';
  /* Field: Content: Onthologie */
  $handler->display->display_options['fields']['field_onthologie']['id'] = 'field_onthologie';
  $handler->display->display_options['fields']['field_onthologie']['table'] = 'field_data_field_onthologie';
  $handler->display->display_options['fields']['field_onthologie']['field'] = 'field_onthologie';
  $handler->display->display_options['fields']['field_onthologie']['type'] = 'i18n_taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_onthologie']['delta_limit'] = '5';
  $handler->display->display_options['fields']['field_onthologie']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_onthologie']['multi_type'] = 'ol';
  /* Field: Content: Tags libres */
  $handler->display->display_options['fields']['field_tags_libres']['id'] = 'field_tags_libres';
  $handler->display->display_options['fields']['field_tags_libres']['table'] = 'field_data_field_tags_libres';
  $handler->display->display_options['fields']['field_tags_libres']['field'] = 'field_tags_libres';
  $handler->display->display_options['fields']['field_tags_libres']['delta_limit'] = '0';
  $handler->display->display_options['fields']['field_tags_libres']['delta_offset'] = '0';
  /* Field: Content: Materiau(x) lié(s) */
  $handler->display->display_options['fields']['field_materiau_ref']['id'] = 'field_materiau_ref';
  $handler->display->display_options['fields']['field_materiau_ref']['table'] = 'field_data_field_materiau_ref';
  $handler->display->display_options['fields']['field_materiau_ref']['field'] = 'field_materiau_ref';
  $handler->display->display_options['fields']['field_materiau_ref']['alter']['text'] = 'Materiaux :<br />[field_materiau_ref]
';
  $handler->display->display_options['fields']['field_materiau_ref']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_materiau_ref']['settings'] = array(
    'link' => 1,
  );
  $handler->display->display_options['fields']['field_materiau_ref']['delta_offset'] = '0';
  /* Field: Content: Brève(s) liée(s) */
  $handler->display->display_options['fields']['field_breve_ref']['id'] = 'field_breve_ref';
  $handler->display->display_options['fields']['field_breve_ref']['table'] = 'field_data_field_breve_ref';
  $handler->display->display_options['fields']['field_breve_ref']['field'] = 'field_breve_ref';
  $handler->display->display_options['fields']['field_breve_ref']['alter']['text'] = 'Brèves :<br />[field_breve_ref]';
  $handler->display->display_options['fields']['field_breve_ref']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_breve_ref']['settings'] = array(
    'link' => 1,
  );
  $handler->display->display_options['fields']['field_breve_ref']['delta_offset'] = '0';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['max_length'] = '300';
  $handler->display->display_options['fields']['field_memo']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['trim'] = TRUE;
  /* Field: Content: Fichiers joints */
  $handler->display->display_options['fields']['field_attachments']['id'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['table'] = 'field_data_field_attachments';
  $handler->display->display_options['fields']['field_attachments']['field'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_attachments']['delta_offset'] = '0';
  /* Field: Content: Localisation */
  $handler->display->display_options['fields']['field_localisation']['id'] = 'field_localisation';
  $handler->display->display_options['fields']['field_localisation']['table'] = 'field_data_field_localisation';
  $handler->display->display_options['fields']['field_localisation']['field'] = 'field_localisation';
  /* Field: Content: Samples */
  $handler->display->display_options['fields']['field_location']['id'] = 'field_location';
  $handler->display->display_options['fields']['field_location']['table'] = 'field_data_field_location';
  $handler->display->display_options['fields']['field_location']['field'] = 'field_location';
  $handler->display->display_options['fields']['field_location']['label'] = 'Location';
  $handler->display->display_options['fields']['field_location']['click_sort_column'] = 'showroom_tid';
  $handler->display->display_options['fields']['field_location']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_location']['multi_type'] = 'ul';
  /* Field: Workflow: Current state */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['alter']['text'] = '<span class="node-delete">[delete_node]</span>';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['operator'] = 'not in';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'didactique' => 'didactique',
    'faq' => 'faq',
    'simplenews' => 'simplenews',
    'page' => 'page',
    'panel' => 'panel',
    'product' => 'product',
    'showroom' => 'showroom',
    'company' => 'company',
    'webform' => 'webform',
    'looping_embed_video' => 'looping_embed_video',
  );
  $handler->display->display_options['filters']['type_1']['group'] = 1;
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title / Name contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember'] = TRUE;
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  /* Filter criterion: Workflow: Current state */
  $handler->display->display_options['filters']['sid']['id'] = 'sid';
  $handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['filters']['sid']['field'] = 'sid';
  $handler->display->display_options['filters']['sid']['group'] = 1;
  $handler->display->display_options['filters']['sid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['sid']['expose']['operator_id'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['label'] = 'Processus';
  $handler->display->display_options['filters']['sid']['expose']['operator'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['identifier'] = 'sid';
  $handler->display->display_options['filters']['sid']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'breve' => 'breve',
    'materiau' => 'materiau',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type de contenu';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['type']['expose']['reduce'] = TRUE;
  /* Filter criterion: Content: Famille (field_famille) */
  $handler->display->display_options['filters']['field_famille_value']['id'] = 'field_famille_value';
  $handler->display->display_options['filters']['field_famille_value']['table'] = 'field_data_field_famille';
  $handler->display->display_options['filters']['field_famille_value']['field'] = 'field_famille_value';
  $handler->display->display_options['filters']['field_famille_value']['group'] = 1;
  $handler->display->display_options['filters']['field_famille_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_famille_value']['expose']['operator_id'] = 'field_famille_value_op';
  $handler->display->display_options['filters']['field_famille_value']['expose']['label'] = 'Famille';
  $handler->display->display_options['filters']['field_famille_value']['expose']['operator'] = 'field_famille_value_op';
  $handler->display->display_options['filters']['field_famille_value']['expose']['identifier'] = 'field_famille_value';
  $handler->display->display_options['filters']['field_famille_value']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Référence Materio (field_reference_materio) */
  $handler->display->display_options['filters']['field_reference_materio_value']['id'] = 'field_reference_materio_value';
  $handler->display->display_options['filters']['field_reference_materio_value']['table'] = 'field_data_field_reference_materio';
  $handler->display->display_options['filters']['field_reference_materio_value']['field'] = 'field_reference_materio_value';
  $handler->display->display_options['filters']['field_reference_materio_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_reference_materio_value']['group'] = 1;
  $handler->display->display_options['filters']['field_reference_materio_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['operator_id'] = 'field_reference_materio_value_op';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['label'] = 'Référence';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['operator'] = 'field_reference_materio_value_op';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['identifier'] = 'field_reference_materio_value';
  /* Filter criterion: Content: Samples (field_location:location) */
  $handler->display->display_options['filters']['field_location_location']['id'] = 'field_location_location';
  $handler->display->display_options['filters']['field_location_location']['table'] = 'field_data_field_location';
  $handler->display->display_options['filters']['field_location_location']['field'] = 'field_location_location';
  $handler->display->display_options['filters']['field_location_location']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_location_location']['group'] = 1;
  $handler->display->display_options['filters']['field_location_location']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_location_location']['expose']['operator_id'] = 'field_location_location_op';
  $handler->display->display_options['filters']['field_location_location']['expose']['label'] = 'Samples';
  $handler->display->display_options['filters']['field_location_location']['expose']['operator'] = 'field_location_location_op';
  $handler->display->display_options['filters']['field_location_location']['expose']['identifier'] = 'field_location_location';
  $handler->display->display_options['filters']['field_location_location']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Content: Has taxonomy term */
  $handler->display->display_options['filters']['tid']['id'] = 'tid';
  $handler->display->display_options['filters']['tid']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid']['field'] = 'tid';
  $handler->display->display_options['filters']['tid']['value'] = '';
  $handler->display->display_options['filters']['tid']['group'] = 1;
  $handler->display->display_options['filters']['tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid']['expose']['operator_id'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['label'] = 'Onto';
  $handler->display->display_options['filters']['tid']['expose']['operator'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['identifier'] = 'tid';
  $handler->display->display_options['filters']['tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['tid']['reduce_duplicates'] = TRUE;
  $handler->display->display_options['filters']['tid']['vocabulary'] = 'onthologie';
  /* Filter criterion: Content: Has taxonomy term */
  $handler->display->display_options['filters']['tid_1']['id'] = 'tid_1';
  $handler->display->display_options['filters']['tid_1']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_1']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_1']['value'] = '';
  $handler->display->display_options['filters']['tid_1']['group'] = 1;
  $handler->display->display_options['filters']['tid_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_1']['expose']['operator_id'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['label'] = 'Tag libres';
  $handler->display->display_options['filters']['tid_1']['expose']['operator'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['identifier'] = 'tid_1';
  $handler->display->display_options['filters']['tid_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['tid_1']['vocabulary'] = 'tag_libres';
  /* Filter criterion: Content: Has taxonomy term */
  $handler->display->display_options['filters']['tid_2']['id'] = 'tid_2';
  $handler->display->display_options['filters']['tid_2']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_2']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_2']['value'] = '';
  $handler->display->display_options['filters']['tid_2']['group'] = 1;
  $handler->display->display_options['filters']['tid_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_2']['expose']['operator_id'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['tid_2']['expose']['operator'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['identifier'] = 'tid_2';
  $handler->display->display_options['filters']['tid_2']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['tid_2']['vocabulary'] = 'company';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/content/materiaux';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Materiaux/Brèves';
  $handler->display->display_options['menu']['description'] = 'Materiaux/Brèves';
  $handler->display->display_options['menu']['weight'] = '-100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'dashboard';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Page : companies */
  $handler = $view->new_display('page', 'Page : companies', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Companies';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::workflow_select_given_state_action' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Title / Name';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'strong';
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = FALSE;
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y/m/d';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: Content: Adresse */
  $handler->display->display_options['fields']['field_public_address']['id'] = 'field_public_address';
  $handler->display->display_options['fields']['field_public_address']['table'] = 'field_data_field_public_address';
  $handler->display->display_options['fields']['field_public_address']['field'] = 'field_public_address';
  $handler->display->display_options['fields']['field_public_address']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_public_address']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Content: Phone */
  $handler->display->display_options['fields']['field_public_phone']['id'] = 'field_public_phone';
  $handler->display->display_options['fields']['field_public_phone']['table'] = 'field_data_field_public_phone';
  $handler->display->display_options['fields']['field_public_phone']['field'] = 'field_public_phone';
  $handler->display->display_options['fields']['field_public_phone']['label'] = 'Téléphone';
  $handler->display->display_options['fields']['field_public_phone']['click_sort_column'] = 'number';
  $handler->display->display_options['fields']['field_public_phone']['delta_offset'] = '0';
  /* Field: Content: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'node';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  /* Field: Content translation: Translate link */
  $handler->display->display_options['fields']['translate_node']['id'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['table'] = 'node';
  $handler->display->display_options['fields']['translate_node']['field'] = 'translate_node';
  $handler->display->display_options['fields']['translate_node']['alter']['text'] = '<span class="button">[translate_node]</span>';
  /* Field: Content translation: Translation status */
  $handler->display->display_options['fields']['translate']['id'] = 'translate';
  $handler->display->display_options['fields']['translate']['table'] = 'node';
  $handler->display->display_options['fields']['translate']['field'] = 'translate';
  $handler->display->display_options['fields']['translate']['exclude'] = TRUE;
  $handler->display->display_options['fields']['translate']['not'] = 0;
  /* Field: Content: website */
  $handler->display->display_options['fields']['field_website']['id'] = 'field_website';
  $handler->display->display_options['fields']['field_website']['table'] = 'field_data_field_website';
  $handler->display->display_options['fields']['field_website']['field'] = 'field_website';
  $handler->display->display_options['fields']['field_website']['click_sort_column'] = 'url';
  /* Field: Content: Email */
  $handler->display->display_options['fields']['field_public_email']['id'] = 'field_public_email';
  $handler->display->display_options['fields']['field_public_email']['table'] = 'field_data_field_public_email';
  $handler->display->display_options['fields']['field_public_email']['field'] = 'field_public_email';
  $handler->display->display_options['fields']['field_public_email']['label'] = 'Courriel';
  /* Field: Content: Note */
  $handler->display->display_options['fields']['field_note']['id'] = 'field_note';
  $handler->display->display_options['fields']['field_note']['table'] = 'field_data_field_note';
  $handler->display->display_options['fields']['field_note']['field'] = 'field_note';
  /* Field: Content: Fichiers joints */
  $handler->display->display_options['fields']['field_attachments']['id'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['table'] = 'field_data_field_attachments';
  $handler->display->display_options['fields']['field_attachments']['field'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_attachments']['delta_offset'] = '0';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: Workflow: Current state */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['alter']['text'] = '<span class="node-delete">[delete_node]</span>';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Le nom contient';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember'] = TRUE;
  /* Filter criterion: Workflow: Current state */
  $handler->display->display_options['filters']['sid']['id'] = 'sid';
  $handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['filters']['sid']['field'] = 'sid';
  $handler->display->display_options['filters']['sid']['group'] = 1;
  $handler->display->display_options['filters']['sid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['sid']['expose']['operator_id'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['label'] = 'Processus';
  $handler->display->display_options['filters']['sid']['expose']['operator'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['identifier'] = 'sid';
  $handler->display->display_options['filters']['sid']['expose']['remember'] = TRUE;
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_2']['id'] = 'type_2';
  $handler->display->display_options['filters']['type_2']['table'] = 'node';
  $handler->display->display_options['filters']['type_2']['field'] = 'type';
  $handler->display->display_options['filters']['type_2']['operator'] = 'not in';
  $handler->display->display_options['filters']['type_2']['value'] = array(
    'breve' => 'breve',
    'didactique' => 'didactique',
    'faq' => 'faq',
    'materiau' => 'materiau',
    'page' => 'page',
    'panel' => 'panel',
    'product' => 'product',
    'simplenews' => 'simplenews',
    'webform' => 'webform',
    'looping_embed_video' => 'looping_embed_video',
  );
  $handler->display->display_options['filters']['type_2']['group'] = 1;
  /* Filter criterion: Content: Adresse - Postal code */
  $handler->display->display_options['filters']['field_public_address_postal_code']['id'] = 'field_public_address_postal_code';
  $handler->display->display_options['filters']['field_public_address_postal_code']['table'] = 'field_data_field_public_address';
  $handler->display->display_options['filters']['field_public_address_postal_code']['field'] = 'field_public_address_postal_code';
  $handler->display->display_options['filters']['field_public_address_postal_code']['group'] = 1;
  $handler->display->display_options['filters']['field_public_address_postal_code']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_public_address_postal_code']['expose']['operator_id'] = 'field_public_address_postal_code_op';
  $handler->display->display_options['filters']['field_public_address_postal_code']['expose']['label'] = 'Adresse - Code postal';
  $handler->display->display_options['filters']['field_public_address_postal_code']['expose']['operator'] = 'field_public_address_postal_code_op';
  $handler->display->display_options['filters']['field_public_address_postal_code']['expose']['identifier'] = 'field_public_address_postal_code';
  $handler->display->display_options['filters']['field_public_address_postal_code']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Content: Adresse - Locality (i.e. City) */
  $handler->display->display_options['filters']['field_public_address_locality']['id'] = 'field_public_address_locality';
  $handler->display->display_options['filters']['field_public_address_locality']['table'] = 'field_data_field_public_address';
  $handler->display->display_options['filters']['field_public_address_locality']['field'] = 'field_public_address_locality';
  $handler->display->display_options['filters']['field_public_address_locality']['group'] = 1;
  $handler->display->display_options['filters']['field_public_address_locality']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_public_address_locality']['expose']['operator_id'] = 'field_public_address_locality_op';
  $handler->display->display_options['filters']['field_public_address_locality']['expose']['label'] = 'Adresse - Localité (Ville)';
  $handler->display->display_options['filters']['field_public_address_locality']['expose']['operator'] = 'field_public_address_locality_op';
  $handler->display->display_options['filters']['field_public_address_locality']['expose']['identifier'] = 'field_public_address_locality';
  $handler->display->display_options['filters']['field_public_address_locality']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['path'] = 'admin/content/companies';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Companies';
  $handler->display->display_options['menu']['description'] = 'Companies';
  $handler->display->display_options['menu']['weight'] = '-99';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'dashboard';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Page : page/publicationfaq/didactique */
  $handler = $view->new_display('page', 'Page : page/publicationfaq/didactique', 'page_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'page/publication/didactique/faq';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::workflow_select_given_state_action' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Title/Name';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'strong';
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = FALSE;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Translate';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a class="node-edit" href="/node/[nid]/translate">Translate</a>';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['max_length'] = '300';
  $handler->display->display_options['fields']['field_memo']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['trim'] = TRUE;
  /* Field: Content: Fichiers joints */
  $handler->display->display_options['fields']['field_attachments']['id'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['table'] = 'field_data_field_attachments';
  $handler->display->display_options['fields']['field_attachments']['field'] = 'field_attachments';
  $handler->display->display_options['fields']['field_attachments']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_attachments']['delta_offset'] = '0';
  /* Field: Content: Localisation */
  $handler->display->display_options['fields']['field_localisation']['id'] = 'field_localisation';
  $handler->display->display_options['fields']['field_localisation']['table'] = 'field_data_field_localisation';
  $handler->display->display_options['fields']['field_localisation']['field'] = 'field_localisation';
  /* Field: Workflow: Current state */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['alter']['text'] = '<span class="node-delete">[delete_node]</span>';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['operator'] = 'not in';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'breve' => 'breve',
    'company' => 'company',
    'simplenews' => 'simplenews',
    'materiau' => 'materiau',
    'panel' => 'panel',
    'product' => 'product',
    'showroom' => 'showroom',
    'webform' => 'webform',
    'looping_embed_video' => 'looping_embed_video',
  );
  $handler->display->display_options['filters']['type_1']['group'] = 1;
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title / Name contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember'] = TRUE;
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  /* Filter criterion: Workflow: Current state */
  $handler->display->display_options['filters']['sid']['id'] = 'sid';
  $handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['filters']['sid']['field'] = 'sid';
  $handler->display->display_options['filters']['sid']['group'] = 1;
  $handler->display->display_options['filters']['sid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['sid']['expose']['operator_id'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['label'] = 'Processus';
  $handler->display->display_options['filters']['sid']['expose']['operator'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['identifier'] = 'sid';
  $handler->display->display_options['filters']['sid']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'didactique' => 'didactique',
    'faq' => 'faq',
    'page' => 'page',
    'publication' => 'publication',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type de contenu';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['type']['expose']['reduce'] = TRUE;
  /* Filter criterion: Content: Référence Materio (field_reference_materio) */
  $handler->display->display_options['filters']['field_reference_materio_value']['id'] = 'field_reference_materio_value';
  $handler->display->display_options['filters']['field_reference_materio_value']['table'] = 'field_data_field_reference_materio';
  $handler->display->display_options['filters']['field_reference_materio_value']['field'] = 'field_reference_materio_value';
  $handler->display->display_options['filters']['field_reference_materio_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_reference_materio_value']['group'] = 1;
  $handler->display->display_options['filters']['field_reference_materio_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['operator_id'] = 'field_reference_materio_value_op';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['label'] = 'Référence';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['operator'] = 'field_reference_materio_value_op';
  $handler->display->display_options['filters']['field_reference_materio_value']['expose']['identifier'] = 'field_reference_materio_value';
  $handler->display->display_options['path'] = 'admin/content/pages';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Page/faq/didactique';
  $handler->display->display_options['menu']['description'] = 'Materiaux / Brèves';
  $handler->display->display_options['menu']['weight'] = '-100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'dashboard';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Page : showrooms */
  $handler = $view->new_display('page', 'Page : showrooms', 'page_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Materiaux/brèves';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'nid' => 'nid',
    'field_tode_showroom' => 'field_tode_showroom',
    'edit_node' => 'field_tode_showroom',
    'nothing' => 'field_tode_showroom',
    'field_public_email' => 'field_public_email',
    'field_public_phone' => 'field_public_phone',
    'field_public_address' => 'field_public_address',
    'body' => 'body',
    'field_memo' => 'field_memo',
    'sid' => 'sid',
    'delete_node' => 'sid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_tode_showroom' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_public_email' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_public_phone' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_public_address' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'body' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_memo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'sid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::workflow_select_given_state_action' => array(
      'selected' => 1,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Showroom */
  $handler->display->display_options['fields']['field_tode_showroom']['id'] = 'field_tode_showroom';
  $handler->display->display_options['fields']['field_tode_showroom']['table'] = 'field_data_field_tode_showroom';
  $handler->display->display_options['fields']['field_tode_showroom']['field'] = 'field_tode_showroom';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Translation';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<span class="node-edit"><a href="/node/[nid]/translate">translate</a></span>';
  /* Field: Content: Email */
  $handler->display->display_options['fields']['field_public_email']['id'] = 'field_public_email';
  $handler->display->display_options['fields']['field_public_email']['table'] = 'field_data_field_public_email';
  $handler->display->display_options['fields']['field_public_email']['field'] = 'field_public_email';
  $handler->display->display_options['fields']['field_public_email']['label'] = 'Courriel';
  /* Field: Content: Phone */
  $handler->display->display_options['fields']['field_public_phone']['id'] = 'field_public_phone';
  $handler->display->display_options['fields']['field_public_phone']['table'] = 'field_data_field_public_phone';
  $handler->display->display_options['fields']['field_public_phone']['field'] = 'field_public_phone';
  /* Field: Content: Adresse */
  $handler->display->display_options['fields']['field_public_address']['id'] = 'field_public_address';
  $handler->display->display_options['fields']['field_public_address']['table'] = 'field_data_field_public_address';
  $handler->display->display_options['fields']['field_public_address']['field'] = 'field_public_address';
  $handler->display->display_options['fields']['field_public_address']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_public_address']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = 'Corps';
  $handler->display->display_options['fields']['body']['type'] = 'text_summary_or_trimmed';
  $handler->display->display_options['fields']['body']['settings'] = array(
    'trim_length' => '200',
  );
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['max_length'] = '300';
  $handler->display->display_options['fields']['field_memo']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_memo']['alter']['trim'] = TRUE;
  /* Field: Workflow: Current state */
  $handler->display->display_options['fields']['sid']['id'] = 'sid';
  $handler->display->display_options['fields']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['fields']['sid']['field'] = 'sid';
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['alter']['text'] = '<span class="node-delete">[delete_node]</span>';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'showroom' => 'showroom',
  );
  $handler->display->display_options['filters']['type_1']['group'] = 1;
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title / Name contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember'] = TRUE;
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  /* Filter criterion: Workflow: Current state */
  $handler->display->display_options['filters']['sid']['id'] = 'sid';
  $handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
  $handler->display->display_options['filters']['sid']['field'] = 'sid';
  $handler->display->display_options['filters']['sid']['group'] = 1;
  $handler->display->display_options['filters']['sid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['sid']['expose']['operator_id'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['label'] = 'Processus';
  $handler->display->display_options['filters']['sid']['expose']['operator'] = 'sid_op';
  $handler->display->display_options['filters']['sid']['expose']['identifier'] = 'sid';
  $handler->display->display_options['filters']['sid']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/content/showrooms';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Showrooms';
  $handler->display->display_options['menu']['description'] = 'showrooms';
  $handler->display->display_options['menu']['weight'] = '-100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'dashboard';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $translatables['admin_contents'] = array(
    t('Master'),
    t('Contenu'),
    t('plus'),
    t('Filtrer'),
    t('réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Résumé'),
    t('Displaying @start - @end of @total'),
    t('Type'),
    t('Title / Name'),
    t('Référence Materio'),
    t('Edit link'),
    t('<span class="node-edit">[edit_node]</span>'),
    t('Fabricants / Distributeurs'),
    t('Distributor'),
    t('Language'),
    t('Translate link'),
    t('<span class="button">[translate_node]</span>'),
    t('Translation status'),
    t('Current state'),
    t('Updated date'),
    t('Mémo'),
    t('Delete link'),
    t('<span class="node-delete">[delete_node]</span>'),
    t('Le titre contient'),
    t('Processus'),
    t('Type de contenu'),
    t('Mémo contient'),
    t('Page : all'),
    t('more'),
    t('Block'),
    t('Recent Content'),
    t('Title'),
    t('Modifier'),
    t('Published'),
    t('Traduire'),
    t('Page : materiaux'),
    t('Materiaux/brèves'),
    t('- Choose an operation -'),
    t('Image'),
    t('Titre'),
    t('Translate'),
    t('<a class="node-edit" href="/node/[nid]/translate">Translate</a>'),
    t('Fabricants/Distributeurs'),
    t('Fab :<br/>
[field_company_fab] '),
    t('Distrib : <br />
[field_company_distrib]'),
    t('Onthologie'),
    t('Tags libres'),
    t('Materiau(x) lié(s)'),
    t('Materiaux :<br />[field_materiau_ref]
'),
    t('Brève(s) liée(s)'),
    t('Brèves :<br />[field_breve_ref]'),
    t('Fichiers joints'),
    t('Localisation'),
    t('Location'),
    t('Title / Name contains'),
    t('Famille'),
    t('Référence'),
    t('Samples'),
    t('Onto'),
    t('Tag libres'),
    t('Société'),
    t('Page : companies'),
    t('Companies'),
    t('Content'),
    t('Post date'),
    t('Adresse'),
    t('Téléphone'),
    t('website'),
    t('Courriel'),
    t('Note'),
    t('Le nom contient'),
    t('Adresse - Code postal'),
    t('Adresse - Localité (Ville)'),
    t('Page : page/publicationfaq/didactique'),
    t('page/publication/didactique/faq'),
    t('Title/Name'),
    t('Page : showrooms'),
    t('Showroom'),
    t('Translation'),
    t('<span class="node-edit"><a href="/node/[nid]/translate">translate</a></span>'),
    t('Phone'),
    t('Corps'),
  );
  $export['admin_contents'] = $view;

  $view = new view();
  $view->name = 'admin_peoples';
  $view->description = 'Administrative view for peoples';
  $view->tag = 'default';
  $view->base_table = 'users';
  $view->human_name = 'Admin Peoples';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Admin Users';
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'uid' => 'uid',
    'field_private_name_title' => 'mail',
    'field_first_name' => 'field_first_name',
    'field_name' => 'mail',
    'mail' => 'mail',
    'edit_node' => 'mail',
    'rid' => 'expiration',
    'expiration' => 'expiration',
    'field_company' => 'field_company',
    'field_organization' => 'field_company',
    'field_service' => 'field_company',
    'field_private_quality' => 'field_company',
    'field_siret' => 'field_company',
    'field_employee' => 'field_company',
    'field_user_website' => 'field_adresse',
    'field_adresse' => 'field_adresse',
    'field_private_phone' => 'field_adresse',
    'php_2' => 'php_2',
    'field_memo' => 'field_memo',
    'created' => 'created',
    'access' => 'access',
    'language' => 'language',
    'status' => 'status',
    'value' => 'value',
    'views_send' => 'views_send',
    'php_1' => 'php_1',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_private_name_title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_first_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'rid' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'expiration' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_company' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_organization' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_service' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_private_quality' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_siret' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_employee' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_user_website' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_adresse' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_private_phone' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'php_2' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_memo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'access' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'language' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'views_send' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['label'] = 'Résumé';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'adherent' => 'adherent',
  );
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Title */
  $handler->display->display_options['fields']['field_private_name_title']['id'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['table'] = 'field_data_field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['field'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['relationship'] = 'profile';
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_first_name']['label'] = 'Prénom';
  $handler->display->display_options['fields']['field_first_name']['exclude'] = TRUE;
  /* Field: Profile: Name */
  $handler->display->display_options['fields']['field_name']['id'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['table'] = 'field_data_field_name';
  $handler->display->display_options['fields']['field_name']['field'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_name']['label'] = 'Nom';
  $handler->display->display_options['fields']['field_name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_name']['alter']['text'] = '[field_first_name] [field_name]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: User: Roles */
  $handler->display->display_options['fields']['rid']['id'] = 'rid';
  $handler->display->display_options['fields']['rid']['table'] = 'users_roles';
  $handler->display->display_options['fields']['rid']['field'] = 'rid';
  /* Field: User: Ubercart Role expiration date/time */
  $handler->display->display_options['fields']['expiration']['id'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['table'] = 'uc_roles_expirations';
  $handler->display->display_options['fields']['expiration']['field'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['label'] = 'Expiration';
  $handler->display->display_options['fields']['expiration']['date_format'] = 'custom';
  $handler->display->display_options['fields']['expiration']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['expiration']['second_date_format'] = 'long';
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['label'] = 'Société';
  /* Field: Profile: Organization */
  $handler->display->display_options['fields']['field_organization']['id'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['table'] = 'field_data_field_organization';
  $handler->display->display_options['fields']['field_organization']['field'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_organization']['label'] = 'Organisation';
  /* Field: Profile: service */
  $handler->display->display_options['fields']['field_service']['id'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['table'] = 'field_data_field_service';
  $handler->display->display_options['fields']['field_service']['field'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_service']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_service']['alter']['text'] = 'service : [field_service]';
  $handler->display->display_options['fields']['field_service']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_service']['empty_zero'] = TRUE;
  /* Field: Profile: Quality */
  $handler->display->display_options['fields']['field_private_quality']['id'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['table'] = 'field_data_field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['field'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_quality']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['alter']['text'] = 'quality : [field_private_quality]';
  $handler->display->display_options['fields']['field_private_quality']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['empty_zero'] = TRUE;
  /* Field: Profile: SIRET */
  $handler->display->display_options['fields']['field_siret']['id'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['table'] = 'field_data_field_siret';
  $handler->display->display_options['fields']['field_siret']['field'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_siret']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_siret']['alter']['text'] = 'siret : [field_siret]';
  $handler->display->display_options['fields']['field_siret']['hide_empty'] = TRUE;
  /* Field: Profile: Employee */
  $handler->display->display_options['fields']['field_employee']['id'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['table'] = 'field_data_field_employee';
  $handler->display->display_options['fields']['field_employee']['field'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_employee']['label'] = 'Employé';
  $handler->display->display_options['fields']['field_employee']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['alter']['text'] = 'employee : [field_employee]';
  $handler->display->display_options['fields']['field_employee']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Profile: Website */
  $handler->display->display_options['fields']['field_user_website']['id'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['table'] = 'field_data_field_user_website';
  $handler->display->display_options['fields']['field_user_website']['field'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_user_website']['label'] = 'Site internet';
  $handler->display->display_options['fields']['field_user_website']['click_sort_column'] = 'url';
  /* Field: Profile: Adresse */
  $handler->display->display_options['fields']['field_adresse']['id'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['table'] = 'field_data_field_adresse';
  $handler->display->display_options['fields']['field_adresse']['field'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_adresse']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_adresse']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Profile: Phone */
  $handler->display->display_options['fields']['field_private_phone']['id'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['table'] = 'field_data_field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['field'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_phone']['label'] = 'Téléphone';
  $handler->display->display_options['fields']['field_private_phone']['click_sort_column'] = 'number';
  $handler->display->display_options['fields']['field_private_phone']['delta_offset'] = '0';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['label'] = 'Lettres d’information';
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_2']['php_value'] = '$subscriber = simplenews_subscriber_load_by_uid($row->uid);
//dsm($subscriber);
foreach($subscriber->tids as $tid){
  $new = simplenews_category_load($tid);   
  $news[] = $new->name; 
}
return $news;';
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode($value, \'<br>\');
?>';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: User: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'users';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Last access */
  $handler->display->display_options['fields']['access']['id'] = 'access';
  $handler->display->display_options['fields']['access']['table'] = 'users';
  $handler->display->display_options['fields']['access']['field'] = 'access';
  $handler->display->display_options['fields']['access']['date_format'] = 'custom';
  $handler->display->display_options['fields']['access']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'users';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['link_to_user'] = FALSE;
  /* Field: User: Active */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'users';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: User Stats: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'user_stats_values';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = 'Login count (?)';
  $handler->display->display_options['fields']['value']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['value']['empty_zero'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 'All';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    9 => '9',
    7 => '7',
    10 => '10',
    11 => '11',
    6 => '6',
    5 => '5',
    8 => '8',
    12 => '12',
    3 => '3',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['filters']['rid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['rid']['expose']['operator_id'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid']['expose']['operator'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['identifier'] = 'rid';
  $handler->display->display_options['filters']['rid']['expose']['remember_roles'] = array(
    2 => 0,
    9 => '9',
    7 => '7',
    10 => '10',
    11 => '11',
    6 => '6',
    5 => '5',
    1 => 0,
    8 => 0,
    12 => 0,
    3 => 0,
    4 => 0,
    13 => 0,
  );
  $handler->display->display_options['filters']['rid']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Profile: Organization (field_organization) */
  $handler->display->display_options['filters']['field_organization_value']['id'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['table'] = 'field_data_field_organization';
  $handler->display->display_options['filters']['field_organization_value']['field'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['relationship'] = 'profile';
  $handler->display->display_options['filters']['field_organization_value']['group'] = 1;
  $handler->display->display_options['filters']['field_organization_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator_id'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['label'] = 'Organisation';
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['identifier'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo Contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['operator'] = 'contains';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'Courriel';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Language */
  $handler->display->display_options['filters']['language']['id'] = 'language';
  $handler->display->display_options['filters']['language']['table'] = 'users';
  $handler->display->display_options['filters']['language']['field'] = 'language';
  $handler->display->display_options['filters']['language']['value'] = array(
    'en' => 'en',
    'fr' => 'fr',
    'zh-hans' => 'zh-hans',
    'cs' => 'cs',
  );
  $handler->display->display_options['filters']['language']['group'] = 1;
  $handler->display->display_options['filters']['language']['exposed'] = TRUE;
  $handler->display->display_options['filters']['language']['expose']['operator_id'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['label'] = 'Langue';
  $handler->display->display_options['filters']['language']['expose']['operator'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['identifier'] = 'language';
  $handler->display->display_options['filters']['language']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    3 => 0,
    4 => 0,
    13 => 0,
  );
  $handler->display->display_options['filters']['language']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail_1']['id'] = 'mail_1';
  $handler->display->display_options['filters']['mail_1']['table'] = 'users';
  $handler->display->display_options['filters']['mail_1']['field'] = 'mail';
  $handler->display->display_options['filters']['mail_1']['operator'] = '!=';
  $handler->display->display_options['filters']['mail_1']['value'] = 'admin@g-u-i.net';
  $handler->display->display_options['filters']['mail_1']['group'] = 1;

  /* Display: Page : all */
  $handler = $view->new_display('page', 'Page : all', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['exposed_form'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'input_required';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['exposed_form']['options']['text_input_required'] = 'Sélectionnez n\'importe quel filtre et cliquez sur Appliquer pour voir les résultats';
  $handler->display->display_options['exposed_form']['options']['text_input_required_format'] = 'filtred_html';
  $handler->display->display_options['path'] = 'admin/users';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Peoples';
  $handler->display->display_options['menu']['weight'] = '6';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Data export */
  $handler = $view->new_display('views_data_export', 'Data export', 'views_data_export_1');
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['path'] = 'admin/users/export';

  /* Display: Page : members */
  $handler = $view->new_display('page', 'Page : members', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Admin Members';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Title */
  $handler->display->display_options['fields']['field_private_name_title']['id'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['table'] = 'field_data_field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['field'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['relationship'] = 'profile';
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_first_name']['label'] = 'Prénom';
  $handler->display->display_options['fields']['field_first_name']['exclude'] = TRUE;
  /* Field: Profile: Name */
  $handler->display->display_options['fields']['field_name']['id'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['table'] = 'field_data_field_name';
  $handler->display->display_options['fields']['field_name']['field'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_name']['label'] = 'Nom';
  $handler->display->display_options['fields']['field_name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_name']['alter']['text'] = '[field_first_name] [field_name]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: User: Ubercart Role expiration date/time */
  $handler->display->display_options['fields']['expiration']['id'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['table'] = 'uc_roles_expirations';
  $handler->display->display_options['fields']['expiration']['field'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['label'] = 'Expiration';
  $handler->display->display_options['fields']['expiration']['date_format'] = 'custom';
  $handler->display->display_options['fields']['expiration']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['expiration']['second_date_format'] = 'long';
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['label'] = 'Société';
  /* Field: Profile: Organization */
  $handler->display->display_options['fields']['field_organization']['id'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['table'] = 'field_data_field_organization';
  $handler->display->display_options['fields']['field_organization']['field'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_organization']['label'] = 'Organisation';
  /* Field: Profile: service */
  $handler->display->display_options['fields']['field_service']['id'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['table'] = 'field_data_field_service';
  $handler->display->display_options['fields']['field_service']['field'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_service']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_service']['alter']['text'] = 'service : [field_service]';
  $handler->display->display_options['fields']['field_service']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_service']['empty_zero'] = TRUE;
  /* Field: Profile: Quality */
  $handler->display->display_options['fields']['field_private_quality']['id'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['table'] = 'field_data_field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['field'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_quality']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['alter']['text'] = 'quality : [field_private_quality]';
  $handler->display->display_options['fields']['field_private_quality']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['empty_zero'] = TRUE;
  /* Field: Profile: SIRET */
  $handler->display->display_options['fields']['field_siret']['id'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['table'] = 'field_data_field_siret';
  $handler->display->display_options['fields']['field_siret']['field'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_siret']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_siret']['alter']['text'] = 'siret : [field_siret]';
  $handler->display->display_options['fields']['field_siret']['hide_empty'] = TRUE;
  /* Field: Profile: Employee */
  $handler->display->display_options['fields']['field_employee']['id'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['table'] = 'field_data_field_employee';
  $handler->display->display_options['fields']['field_employee']['field'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_employee']['label'] = 'Employé';
  $handler->display->display_options['fields']['field_employee']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['alter']['text'] = 'employee : [field_employee]';
  $handler->display->display_options['fields']['field_employee']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Profile: Website */
  $handler->display->display_options['fields']['field_user_website']['id'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['table'] = 'field_data_field_user_website';
  $handler->display->display_options['fields']['field_user_website']['field'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_user_website']['label'] = 'Site internet';
  $handler->display->display_options['fields']['field_user_website']['click_sort_column'] = 'url';
  /* Field: Profile: Adresse */
  $handler->display->display_options['fields']['field_adresse']['id'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['table'] = 'field_data_field_adresse';
  $handler->display->display_options['fields']['field_adresse']['field'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_adresse']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_adresse']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Profile: Phone */
  $handler->display->display_options['fields']['field_private_phone']['id'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['table'] = 'field_data_field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['field'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_phone']['label'] = 'Téléphone';
  $handler->display->display_options['fields']['field_private_phone']['click_sort_column'] = 'number';
  $handler->display->display_options['fields']['field_private_phone']['delta_offset'] = '0';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['label'] = 'Lettres d’information';
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php_2']['php_setup'] = '$simplenews = simplenews_category_list();
//dsm($simplenews);
$static = $simplenews;';
  $handler->display->display_options['fields']['php_2']['php_value'] = '$subscriber = simplenews_subscriber_load_by_uid($row->uid);
//dsm($subscriber);
foreach($subscriber->tids as $tid){
  //$new = simplenews_category_load($tid);   
  $news[] = $static[$tid]; 
}
return $news;';
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode($value, \'<br>\');
?>';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: User: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'users';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Last access */
  $handler->display->display_options['fields']['access']['id'] = 'access';
  $handler->display->display_options['fields']['access']['table'] = 'users';
  $handler->display->display_options['fields']['access']['field'] = 'access';
  $handler->display->display_options['fields']['access']['date_format'] = 'custom';
  $handler->display->display_options['fields']['access']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'users';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['link_to_user'] = FALSE;
  /* Field: User Stats: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'user_stats_values';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = 'Login count (?)';
  $handler->display->display_options['fields']['value']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['value']['empty_zero'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    6 => '6',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['filters']['rid']['expose']['operator_id'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid']['expose']['operator'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['identifier'] = 'rid';
  $handler->display->display_options['filters']['rid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['rid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['rid']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Profile: Organization (field_organization) */
  $handler->display->display_options['filters']['field_organization_value']['id'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['table'] = 'field_data_field_organization';
  $handler->display->display_options['filters']['field_organization_value']['field'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['relationship'] = 'profile';
  $handler->display->display_options['filters']['field_organization_value']['group'] = 1;
  $handler->display->display_options['filters']['field_organization_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator_id'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['label'] = 'Organisation';
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['identifier'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo Contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['operator'] = 'contains';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'Courriel';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Language */
  $handler->display->display_options['filters']['language']['id'] = 'language';
  $handler->display->display_options['filters']['language']['table'] = 'users';
  $handler->display->display_options['filters']['language']['field'] = 'language';
  $handler->display->display_options['filters']['language']['value'] = array(
    'en' => 'en',
    'fr' => 'fr',
  );
  $handler->display->display_options['filters']['language']['group'] = 1;
  $handler->display->display_options['filters']['language']['exposed'] = TRUE;
  $handler->display->display_options['filters']['language']['expose']['operator_id'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['label'] = 'Langue';
  $handler->display->display_options['filters']['language']['expose']['operator'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['identifier'] = 'language';
  $handler->display->display_options['filters']['language']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['language']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail_1']['id'] = 'mail_1';
  $handler->display->display_options['filters']['mail_1']['table'] = 'users';
  $handler->display->display_options['filters']['mail_1']['field'] = 'mail';
  $handler->display->display_options['filters']['mail_1']['operator'] = '!=';
  $handler->display->display_options['filters']['mail_1']['value'] = 'admin@g-u-i.net';
  $handler->display->display_options['filters']['mail_1']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/users/members';
  $handler->display->display_options['menu']['title'] = 'Members';
  $handler->display->display_options['menu']['weight'] = '6';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Page : industriels */
  $handler = $view->new_display('page', 'Page : industriels', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Admin Industriels';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['label'] = 'Société';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: User: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'users';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Last access */
  $handler->display->display_options['fields']['access']['id'] = 'access';
  $handler->display->display_options['fields']['access']['table'] = 'users';
  $handler->display->display_options['fields']['access']['field'] = 'access';
  $handler->display->display_options['fields']['access']['date_format'] = 'custom';
  $handler->display->display_options['fields']['access']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'users';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['link_to_user'] = FALSE;
  /* Field: User Stats: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'user_stats_values';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = 'Login count (?)';
  $handler->display->display_options['fields']['value']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['value']['empty_zero'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    5 => '5',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['filters']['rid']['expose']['operator_id'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid']['expose']['operator'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['identifier'] = 'rid';
  $handler->display->display_options['filters']['rid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['rid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['rid']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid_1']['id'] = 'rid_1';
  $handler->display->display_options['filters']['rid_1']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid_1']['field'] = 'rid';
  $handler->display->display_options['filters']['rid_1']['value'] = array(
    7 => '7',
    6 => '6',
  );
  $handler->display->display_options['filters']['rid_1']['group'] = 1;
  $handler->display->display_options['filters']['rid_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['rid_1']['expose']['operator_id'] = 'rid_1_op';
  $handler->display->display_options['filters']['rid_1']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid_1']['expose']['operator'] = 'rid_1_op';
  $handler->display->display_options['filters']['rid_1']['expose']['identifier'] = 'rid_1';
  $handler->display->display_options['filters']['rid_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    3 => 0,
    4 => 0,
    13 => 0,
  );
  $handler->display->display_options['filters']['rid_1']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo Contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['operator'] = 'contains';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'Courriel';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Language */
  $handler->display->display_options['filters']['language']['id'] = 'language';
  $handler->display->display_options['filters']['language']['table'] = 'users';
  $handler->display->display_options['filters']['language']['field'] = 'language';
  $handler->display->display_options['filters']['language']['value'] = array(
    'en' => 'en',
    'fr' => 'fr',
  );
  $handler->display->display_options['filters']['language']['group'] = 1;
  $handler->display->display_options['filters']['language']['exposed'] = TRUE;
  $handler->display->display_options['filters']['language']['expose']['operator_id'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['label'] = 'Langue';
  $handler->display->display_options['filters']['language']['expose']['operator'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['identifier'] = 'language';
  $handler->display->display_options['filters']['language']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['language']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail_1']['id'] = 'mail_1';
  $handler->display->display_options['filters']['mail_1']['table'] = 'users';
  $handler->display->display_options['filters']['mail_1']['field'] = 'mail';
  $handler->display->display_options['filters']['mail_1']['operator'] = '!=';
  $handler->display->display_options['filters']['mail_1']['value'] = 'admin@g-u-i.net';
  $handler->display->display_options['filters']['mail_1']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/users/industriels';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Industriels';
  $handler->display->display_options['menu']['weight'] = '6';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Page : students */
  $handler = $view->new_display('page', 'Page : students', 'page_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Admin Students';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Title */
  $handler->display->display_options['fields']['field_private_name_title']['id'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['table'] = 'field_data_field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['field'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['relationship'] = 'profile';
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_first_name']['label'] = 'Prénom';
  $handler->display->display_options['fields']['field_first_name']['exclude'] = TRUE;
  /* Field: Profile: Name */
  $handler->display->display_options['fields']['field_name']['id'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['table'] = 'field_data_field_name';
  $handler->display->display_options['fields']['field_name']['field'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_name']['label'] = 'Nom';
  $handler->display->display_options['fields']['field_name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_name']['alter']['text'] = '[field_first_name] [field_name]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: User: Ubercart Role expiration date/time */
  $handler->display->display_options['fields']['expiration']['id'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['table'] = 'uc_roles_expirations';
  $handler->display->display_options['fields']['expiration']['field'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['label'] = 'Expiration';
  $handler->display->display_options['fields']['expiration']['date_format'] = 'custom';
  $handler->display->display_options['fields']['expiration']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['expiration']['second_date_format'] = 'long';
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['label'] = 'Société';
  /* Field: Profile: Organization */
  $handler->display->display_options['fields']['field_organization']['id'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['table'] = 'field_data_field_organization';
  $handler->display->display_options['fields']['field_organization']['field'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_organization']['label'] = 'Organisation';
  /* Field: Profile: service */
  $handler->display->display_options['fields']['field_service']['id'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['table'] = 'field_data_field_service';
  $handler->display->display_options['fields']['field_service']['field'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_service']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_service']['alter']['text'] = 'service : [field_service]';
  $handler->display->display_options['fields']['field_service']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_service']['empty_zero'] = TRUE;
  /* Field: Profile: Quality */
  $handler->display->display_options['fields']['field_private_quality']['id'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['table'] = 'field_data_field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['field'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_quality']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['alter']['text'] = 'quality : [field_private_quality]';
  $handler->display->display_options['fields']['field_private_quality']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['empty_zero'] = TRUE;
  /* Field: Profile: SIRET */
  $handler->display->display_options['fields']['field_siret']['id'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['table'] = 'field_data_field_siret';
  $handler->display->display_options['fields']['field_siret']['field'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_siret']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_siret']['alter']['text'] = 'siret : [field_siret]';
  $handler->display->display_options['fields']['field_siret']['hide_empty'] = TRUE;
  /* Field: Profile: Employee */
  $handler->display->display_options['fields']['field_employee']['id'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['table'] = 'field_data_field_employee';
  $handler->display->display_options['fields']['field_employee']['field'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_employee']['label'] = 'Employé';
  $handler->display->display_options['fields']['field_employee']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['alter']['text'] = 'employee : [field_employee]';
  $handler->display->display_options['fields']['field_employee']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Profile: Website */
  $handler->display->display_options['fields']['field_user_website']['id'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['table'] = 'field_data_field_user_website';
  $handler->display->display_options['fields']['field_user_website']['field'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_user_website']['label'] = 'Site internet';
  $handler->display->display_options['fields']['field_user_website']['click_sort_column'] = 'url';
  /* Field: Profile: Adresse */
  $handler->display->display_options['fields']['field_adresse']['id'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['table'] = 'field_data_field_adresse';
  $handler->display->display_options['fields']['field_adresse']['field'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_adresse']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_adresse']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Profile: Phone */
  $handler->display->display_options['fields']['field_private_phone']['id'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['table'] = 'field_data_field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['field'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_phone']['label'] = 'Téléphone';
  $handler->display->display_options['fields']['field_private_phone']['click_sort_column'] = 'number';
  $handler->display->display_options['fields']['field_private_phone']['delta_offset'] = '0';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['label'] = 'Lettres d’information';
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_2']['php_value'] = '$subscriber = simplenews_subscriber_load_by_uid($row->uid);
//dsm($subscriber);
foreach($subscriber->tids as $tid){
  $new = simplenews_category_load($tid);   
  $news[] = $new->name; 
}
return $news;';
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode($value, \'<br>\');
?>';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: User: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'users';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Last access */
  $handler->display->display_options['fields']['access']['id'] = 'access';
  $handler->display->display_options['fields']['access']['table'] = 'users';
  $handler->display->display_options['fields']['access']['field'] = 'access';
  $handler->display->display_options['fields']['access']['date_format'] = 'custom';
  $handler->display->display_options['fields']['access']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'users';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['link_to_user'] = FALSE;
  /* Field: User Stats: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'user_stats_values';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = 'Login count (?)';
  $handler->display->display_options['fields']['value']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['value']['empty_zero'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    10 => '10',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['filters']['rid']['expose']['operator_id'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid']['expose']['operator'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['identifier'] = 'rid';
  $handler->display->display_options['filters']['rid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['rid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['rid']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Profile: Organization (field_organization) */
  $handler->display->display_options['filters']['field_organization_value']['id'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['table'] = 'field_data_field_organization';
  $handler->display->display_options['filters']['field_organization_value']['field'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['relationship'] = 'profile';
  $handler->display->display_options['filters']['field_organization_value']['group'] = 1;
  $handler->display->display_options['filters']['field_organization_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator_id'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['label'] = 'Organisation';
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['identifier'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo Contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['operator'] = 'contains';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'Courriel';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Language */
  $handler->display->display_options['filters']['language']['id'] = 'language';
  $handler->display->display_options['filters']['language']['table'] = 'users';
  $handler->display->display_options['filters']['language']['field'] = 'language';
  $handler->display->display_options['filters']['language']['value'] = array(
    'en' => 'en',
    'fr' => 'fr',
  );
  $handler->display->display_options['filters']['language']['group'] = 1;
  $handler->display->display_options['filters']['language']['exposed'] = TRUE;
  $handler->display->display_options['filters']['language']['expose']['operator_id'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['label'] = 'Langue';
  $handler->display->display_options['filters']['language']['expose']['operator'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['identifier'] = 'language';
  $handler->display->display_options['filters']['language']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['language']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail_1']['id'] = 'mail_1';
  $handler->display->display_options['filters']['mail_1']['table'] = 'users';
  $handler->display->display_options['filters']['mail_1']['field'] = 'mail';
  $handler->display->display_options['filters']['mail_1']['operator'] = '!=';
  $handler->display->display_options['filters']['mail_1']['value'] = 'admin@g-u-i.net';
  $handler->display->display_options['filters']['mail_1']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/users/students';
  $handler->display->display_options['menu']['title'] = 'Students';
  $handler->display->display_options['menu']['weight'] = '6';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Page : Gratuits */
  $handler = $view->new_display('page', 'Page : Gratuits', 'page_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Admin Gratuit';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Title */
  $handler->display->display_options['fields']['field_private_name_title']['id'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['table'] = 'field_data_field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['field'] = 'field_private_name_title';
  $handler->display->display_options['fields']['field_private_name_title']['relationship'] = 'profile';
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_first_name']['id'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['table'] = 'field_data_field_first_name';
  $handler->display->display_options['fields']['field_first_name']['field'] = 'field_first_name';
  $handler->display->display_options['fields']['field_first_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_first_name']['label'] = 'Prénom';
  $handler->display->display_options['fields']['field_first_name']['exclude'] = TRUE;
  /* Field: Profile: Name */
  $handler->display->display_options['fields']['field_name']['id'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['table'] = 'field_data_field_name';
  $handler->display->display_options['fields']['field_name']['field'] = 'field_name';
  $handler->display->display_options['fields']['field_name']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_name']['label'] = 'Nom';
  $handler->display->display_options['fields']['field_name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_name']['alter']['text'] = '[field_first_name] [field_name]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: User: Ubercart Role expiration date/time */
  $handler->display->display_options['fields']['expiration']['id'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['table'] = 'uc_roles_expirations';
  $handler->display->display_options['fields']['expiration']['field'] = 'expiration';
  $handler->display->display_options['fields']['expiration']['label'] = 'Expiration';
  $handler->display->display_options['fields']['expiration']['date_format'] = 'custom';
  $handler->display->display_options['fields']['expiration']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['expiration']['second_date_format'] = 'long';
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['label'] = 'Société';
  /* Field: Profile: Organization */
  $handler->display->display_options['fields']['field_organization']['id'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['table'] = 'field_data_field_organization';
  $handler->display->display_options['fields']['field_organization']['field'] = 'field_organization';
  $handler->display->display_options['fields']['field_organization']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_organization']['label'] = 'Organisation';
  /* Field: Profile: service */
  $handler->display->display_options['fields']['field_service']['id'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['table'] = 'field_data_field_service';
  $handler->display->display_options['fields']['field_service']['field'] = 'field_service';
  $handler->display->display_options['fields']['field_service']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_service']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_service']['alter']['text'] = 'service : [field_service]';
  $handler->display->display_options['fields']['field_service']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_service']['empty_zero'] = TRUE;
  /* Field: Profile: Quality */
  $handler->display->display_options['fields']['field_private_quality']['id'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['table'] = 'field_data_field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['field'] = 'field_private_quality';
  $handler->display->display_options['fields']['field_private_quality']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_quality']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['alter']['text'] = 'quality : [field_private_quality]';
  $handler->display->display_options['fields']['field_private_quality']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_private_quality']['empty_zero'] = TRUE;
  /* Field: Profile: SIRET */
  $handler->display->display_options['fields']['field_siret']['id'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['table'] = 'field_data_field_siret';
  $handler->display->display_options['fields']['field_siret']['field'] = 'field_siret';
  $handler->display->display_options['fields']['field_siret']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_siret']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_siret']['alter']['text'] = 'siret : [field_siret]';
  $handler->display->display_options['fields']['field_siret']['hide_empty'] = TRUE;
  /* Field: Profile: Employee */
  $handler->display->display_options['fields']['field_employee']['id'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['table'] = 'field_data_field_employee';
  $handler->display->display_options['fields']['field_employee']['field'] = 'field_employee';
  $handler->display->display_options['fields']['field_employee']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_employee']['label'] = 'Employé';
  $handler->display->display_options['fields']['field_employee']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['alter']['text'] = 'employee : [field_employee]';
  $handler->display->display_options['fields']['field_employee']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_employee']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Profile: Website */
  $handler->display->display_options['fields']['field_user_website']['id'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['table'] = 'field_data_field_user_website';
  $handler->display->display_options['fields']['field_user_website']['field'] = 'field_user_website';
  $handler->display->display_options['fields']['field_user_website']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_user_website']['label'] = 'Site internet';
  $handler->display->display_options['fields']['field_user_website']['click_sort_column'] = 'url';
  /* Field: Profile: Adresse */
  $handler->display->display_options['fields']['field_adresse']['id'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['table'] = 'field_data_field_adresse';
  $handler->display->display_options['fields']['field_adresse']['field'] = 'field_adresse';
  $handler->display->display_options['fields']['field_adresse']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_adresse']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_adresse']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Profile: Phone */
  $handler->display->display_options['fields']['field_private_phone']['id'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['table'] = 'field_data_field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['field'] = 'field_private_phone';
  $handler->display->display_options['fields']['field_private_phone']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_private_phone']['label'] = 'Téléphone';
  $handler->display->display_options['fields']['field_private_phone']['click_sort_column'] = 'number';
  $handler->display->display_options['fields']['field_private_phone']['delta_offset'] = '0';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_2']['id'] = 'php_2';
  $handler->display->display_options['fields']['php_2']['table'] = 'views';
  $handler->display->display_options['fields']['php_2']['field'] = 'php';
  $handler->display->display_options['fields']['php_2']['label'] = 'Lettres d’information';
  $handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_2']['php_value'] = '$subscriber = simplenews_subscriber_load_by_uid($row->uid);
//dsm($subscriber);
foreach($subscriber->tids as $tid){
  $new = simplenews_category_load($tid);   
  $news[] = $new->name; 
}
return $news;';
  $handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode($value, \'<br>\');
?>';
  $handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['alter']['nl2br'] = TRUE;
  /* Field: User: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'users';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Last access */
  $handler->display->display_options['fields']['access']['id'] = 'access';
  $handler->display->display_options['fields']['access']['table'] = 'users';
  $handler->display->display_options['fields']['access']['field'] = 'access';
  $handler->display->display_options['fields']['access']['date_format'] = 'custom';
  $handler->display->display_options['fields']['access']['custom_date_format'] = 'Y-m-d h:m';
  /* Field: User: Language */
  $handler->display->display_options['fields']['language']['id'] = 'language';
  $handler->display->display_options['fields']['language']['table'] = 'users';
  $handler->display->display_options['fields']['language']['field'] = 'language';
  $handler->display->display_options['fields']['language']['link_to_user'] = FALSE;
  /* Field: User Stats: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'user_stats_values';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = 'Login count (?)';
  $handler->display->display_options['fields']['value']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['value']['empty_zero'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    9 => '9',
    7 => '7',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['filters']['rid']['expose']['operator_id'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['label'] = 'Rôles';
  $handler->display->display_options['filters']['rid']['expose']['operator'] = 'rid_op';
  $handler->display->display_options['filters']['rid']['expose']['identifier'] = 'rid';
  $handler->display->display_options['filters']['rid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['rid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['rid']['expose']['reduce'] = TRUE;
  $handler->display->display_options['filters']['rid']['reduce_duplicates'] = TRUE;
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Société';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Profile: Organization (field_organization) */
  $handler->display->display_options['filters']['field_organization_value']['id'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['table'] = 'field_data_field_organization';
  $handler->display->display_options['filters']['field_organization_value']['field'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['relationship'] = 'profile';
  $handler->display->display_options['filters']['field_organization_value']['group'] = 1;
  $handler->display->display_options['filters']['field_organization_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator_id'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['label'] = 'Organisation';
  $handler->display->display_options['filters']['field_organization_value']['expose']['operator'] = 'field_organization_value_op';
  $handler->display->display_options['filters']['field_organization_value']['expose']['identifier'] = 'field_organization_value';
  $handler->display->display_options['filters']['field_organization_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['group'] = 1;
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo Contient';
  $handler->display->display_options['filters']['field_memo_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail']['id'] = 'mail';
  $handler->display->display_options['filters']['mail']['table'] = 'users';
  $handler->display->display_options['filters']['mail']['field'] = 'mail';
  $handler->display->display_options['filters']['mail']['operator'] = 'contains';
  $handler->display->display_options['filters']['mail']['group'] = 1;
  $handler->display->display_options['filters']['mail']['exposed'] = TRUE;
  $handler->display->display_options['filters']['mail']['expose']['operator_id'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['label'] = 'Courriel';
  $handler->display->display_options['filters']['mail']['expose']['operator'] = 'mail_op';
  $handler->display->display_options['filters']['mail']['expose']['identifier'] = 'mail';
  $handler->display->display_options['filters']['mail']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Language */
  $handler->display->display_options['filters']['language']['id'] = 'language';
  $handler->display->display_options['filters']['language']['table'] = 'users';
  $handler->display->display_options['filters']['language']['field'] = 'language';
  $handler->display->display_options['filters']['language']['value'] = array(
    'en' => 'en',
    'fr' => 'fr',
  );
  $handler->display->display_options['filters']['language']['group'] = 1;
  $handler->display->display_options['filters']['language']['exposed'] = TRUE;
  $handler->display->display_options['filters']['language']['expose']['operator_id'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['label'] = 'Langue';
  $handler->display->display_options['filters']['language']['expose']['operator'] = 'language_op';
  $handler->display->display_options['filters']['language']['expose']['identifier'] = 'language';
  $handler->display->display_options['filters']['language']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    7 => 0,
    6 => 0,
    8 => 0,
    5 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['language']['expose']['reduce'] = TRUE;
  /* Filter criterion: User: E-mail */
  $handler->display->display_options['filters']['mail_1']['id'] = 'mail_1';
  $handler->display->display_options['filters']['mail_1']['table'] = 'users';
  $handler->display->display_options['filters']['mail_1']['field'] = 'mail';
  $handler->display->display_options['filters']['mail_1']['operator'] = '!=';
  $handler->display->display_options['filters']['mail_1']['value'] = 'admin@g-u-i.net';
  $handler->display->display_options['filters']['mail_1']['group'] = 1;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid_1']['id'] = 'rid_1';
  $handler->display->display_options['filters']['rid_1']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid_1']['field'] = 'rid';
  $handler->display->display_options['filters']['rid_1']['operator'] = 'not';
  $handler->display->display_options['filters']['rid_1']['value'] = array(
    10 => '10',
    11 => '11',
    6 => '6',
    5 => '5',
    8 => '8',
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['path'] = 'admin/users/gratuits';
  $handler->display->display_options['menu']['title'] = 'Gratuits';
  $handler->display->display_options['menu']['weight'] = '6';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Industriels lite */
  $handler = $view->new_display('page', 'Industriels lite', 'page_5');
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'field_company' => 'field_company',
    'mail' => 'mail',
    'views_send' => 'views_send',
    'php_1' => 'php_1',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_company' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'views_send' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'php_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Utilisateur';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_user_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::user_block_user_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'skip_permission_check' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          'status' => 'status',
          'user::field_memo' => 'user::field_memo',
        ),
      ),
    ),
  );
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  /* Field: User: Company */
  $handler->display->display_options['fields']['field_company']['id'] = 'field_company';
  $handler->display->display_options['fields']['field_company']['table'] = 'field_data_field_company';
  $handler->display->display_options['fields']['field_company']['field'] = 'field_company';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = 'Courriel';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = 'Newsletter';
  $handler->display->display_options['fields']['php']['use_php_setup'] = 1;
  $handler->display->display_options['fields']['php']['php_setup'] = '$simplenews = simplenews_category_list();
//dsm($simplenews);
$static = $simplenews;';
  $handler->display->display_options['fields']['php']['php_value'] = '$subscriber = simplenews_subscriber_load_by_uid($row->uid);
//dsm($subscriber);
foreach($subscriber->tids as $tid){
  //$new = simplenews_category_load($tid);   
  $news[] = $static[$tid]; 
}
return $news;';
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
print implode($value, \'<br>\');
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Field: Mémo */
  $handler->display->display_options['fields']['field_memo']['id'] = 'field_memo';
  $handler->display->display_options['fields']['field_memo']['table'] = 'field_data_field_memo';
  $handler->display->display_options['fields']['field_memo']['field'] = 'field_memo';
  /* Field: User: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'users';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Lien de modification';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '<span class="node-edit">[edit_node]</span>';
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = 'One time login';
  $handler->display->display_options['fields']['php_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php 
$account = user_load($row->uid);
print user_pass_reset_url($account); 
?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    5 => '5',
  );
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Company (field_company) */
  $handler->display->display_options['filters']['field_company_tid']['id'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['table'] = 'field_data_field_company';
  $handler->display->display_options['filters']['field_company_tid']['field'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['value'] = '';
  $handler->display->display_options['filters']['field_company_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator_id'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['label'] = 'Company';
  $handler->display->display_options['filters']['field_company_tid']['expose']['operator'] = 'field_company_tid_op';
  $handler->display->display_options['filters']['field_company_tid']['expose']['identifier'] = 'field_company_tid';
  $handler->display->display_options['filters']['field_company_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['field_company_tid']['vocabulary'] = 'company';
  /* Filter criterion: Field: Mémo (field_memo) */
  $handler->display->display_options['filters']['field_memo_value']['id'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['table'] = 'field_data_field_memo';
  $handler->display->display_options['filters']['field_memo_value']['field'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_memo_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator_id'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['label'] = 'Mémo';
  $handler->display->display_options['filters']['field_memo_value']['expose']['operator'] = 'field_memo_value_op';
  $handler->display->display_options['filters']['field_memo_value']['expose']['identifier'] = 'field_memo_value';
  $handler->display->display_options['filters']['field_memo_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['path'] = 'admin/users/industriels2';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Industriels2';
  $handler->display->display_options['menu']['description'] = 'industriels by company tag';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: indus Data export */
  $handler = $view->new_display('views_data_export', 'indus Data export', 'views_data_export_2');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Actif';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    12 => 0,
    13 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    5 => '5',
  );
  $handler->display->display_options['filters']['rid']['group'] = 1;
  $handler->display->display_options['path'] = 'admin/users/export/industriels';
  $translatables['admin_peoples'] = array(
    t('Master'),
    t('Admin Users'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Résumé'),
    t('Displaying @start - @end of @total'),
    t('Profile'),
    t('Utilisateur'),
    t('- Choose an operation -'),
    t('Title'),
    t('Prénom'),
    t('Nom'),
    t('[field_first_name] [field_name]'),
    t('E-mail'),
    t('Edit link'),
    t('<span class="node-edit">[edit_node]</span>'),
    t('Roles'),
    t('Expiration'),
    t('Société'),
    t('Organisation'),
    t('service'),
    t('service : [field_service]'),
    t('Quality'),
    t('quality : [field_private_quality]'),
    t('SIRET'),
    t('siret : [field_siret]'),
    t('Employé'),
    t('employee : [field_employee]'),
    t('Site internet'),
    t('Adresse'),
    t('Téléphone'),
    t('Lettres d’information'),
    t('Mémo'),
    t('Created date'),
    t('Last access'),
    t('Language'),
    t('Active'),
    t('Login count (?)'),
    t('.'),
    t(','),
    t('Send e-mail'),
    t('One time login'),
    t('Actif'),
    t('Rôles'),
    t('Mémo Contient'),
    t('Courriel'),
    t('Langue'),
    t('Page : all'),
    t('more'),
    t('Sélectionnez n\'importe quel filtre et cliquez sur Appliquer pour voir les résultats'),
    t('Data export'),
    t('Page : members'),
    t('Admin Members'),
    t('Page : industriels'),
    t('Admin Industriels'),
    t('Page : students'),
    t('Admin Students'),
    t('Page : Gratuits'),
    t('Admin Gratuit'),
    t('Industriels lite'),
    t('Uid'),
    t('Company'),
    t('Newsletter'),
    t('Lien de modification'),
    t('indus Data export'),
  );
  $export['admin_peoples'] = $view;

  $view = new view();
  $view->name = 'admin_taxo';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'Admin Taxo';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Admin Taxo';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    4 => '4',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'vid' => 'vid',
    'name_1' => 'name_1',
    'tid' => 'tid',
    'name_field_et_1' => 'name_field_et_1',
    'name_field_et' => 'name_field_et',
    'synonyms_synonym_et_1' => 'synonyms_synonym_et_1',
    'synonyms_synonym_et' => 'synonyms_synonym_et',
    'edit_term' => 'edit_term',
  );
  $handler->display->display_options['style_options']['default'] = 'tid';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'vid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
      'empty_column' => 0,
    ),
    'tid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name_field_et_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name_field_et' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'synonyms_synonym_et_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'synonyms_synonym_et' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_term' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: Bulk operations: Taxonomy term */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_taxonomy_term';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::pathauto_taxonomy_term_update_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::entity_translation_actions_modify_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_revision' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Taxonomy vocabulary: Vocabulary ID */
  $handler->display->display_options['fields']['vid']['id'] = 'vid';
  $handler->display->display_options['fields']['vid']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['fields']['vid']['field'] = 'vid';
  $handler->display->display_options['fields']['vid']['label'] = 'vid';
  /* Field: Taxonomy vocabulary: Name */
  $handler->display->display_options['fields']['name_1']['id'] = 'name_1';
  $handler->display->display_options['fields']['name_1']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['fields']['name_1']['field'] = 'name';
  $handler->display->display_options['fields']['name_1']['label'] = 'voc';
  /* Field: Taxonomy term: Term ID */
  $handler->display->display_options['fields']['tid']['id'] = 'tid';
  $handler->display->display_options['fields']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['tid']['field'] = 'tid';
  $handler->display->display_options['fields']['tid']['label'] = 'tid';
  $handler->display->display_options['fields']['tid']['separator'] = '';
  /* Field: Entity translation: Nom: translated */
  $handler->display->display_options['fields']['name_field_et_1']['id'] = 'name_field_et_1';
  $handler->display->display_options['fields']['name_field_et_1']['table'] = 'field_data_name_field';
  $handler->display->display_options['fields']['name_field_et_1']['field'] = 'name_field_et';
  $handler->display->display_options['fields']['name_field_et_1']['label'] = 'Nom EN';
  $handler->display->display_options['fields']['name_field_et_1']['language'] = 'en';
  /* Field: Entity translation: Nom: translated */
  $handler->display->display_options['fields']['name_field_et']['id'] = 'name_field_et';
  $handler->display->display_options['fields']['name_field_et']['table'] = 'field_data_name_field';
  $handler->display->display_options['fields']['name_field_et']['field'] = 'name_field_et';
  $handler->display->display_options['fields']['name_field_et']['label'] = 'Nom FR';
  $handler->display->display_options['fields']['name_field_et']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['name_field_et']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['name_field_et']['language'] = 'fr';
  /* Field: Entity translation: Synonyms: translated */
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['id'] = 'synonyms_synonym_et_1';
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['table'] = 'field_data_synonyms_synonym';
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['field'] = 'synonyms_synonym_et';
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['label'] = 'Synonyms EN';
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['delta_offset'] = '0';
  $handler->display->display_options['fields']['synonyms_synonym_et_1']['language'] = 'en';
  /* Field: Entity translation: Synonyms: translated */
  $handler->display->display_options['fields']['synonyms_synonym_et']['id'] = 'synonyms_synonym_et';
  $handler->display->display_options['fields']['synonyms_synonym_et']['table'] = 'field_data_synonyms_synonym';
  $handler->display->display_options['fields']['synonyms_synonym_et']['field'] = 'synonyms_synonym_et';
  $handler->display->display_options['fields']['synonyms_synonym_et']['label'] = 'Synonyms FR';
  $handler->display->display_options['fields']['synonyms_synonym_et']['delta_offset'] = '0';
  $handler->display->display_options['fields']['synonyms_synonym_et']['language'] = 'fr';
  /* Field: Taxonomy term: Term edit link */
  $handler->display->display_options['fields']['edit_term']['id'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['edit_term']['field'] = 'edit_term';
  $handler->display->display_options['fields']['edit_term']['text'] = 'modifier';
  /* Filter criterion: Taxonomy term: Vocabulary */
  $handler->display->display_options['filters']['vid']['id'] = 'vid';
  $handler->display->display_options['filters']['vid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['vid']['field'] = 'vid';
  $handler->display->display_options['filters']['vid']['value'] = array(
    15 => '15',
    4 => '4',
  );
  $handler->display->display_options['filters']['vid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['vid']['expose']['operator_id'] = 'vid_op';
  $handler->display->display_options['filters']['vid']['expose']['label'] = 'Vocabulaire';
  $handler->display->display_options['filters']['vid']['expose']['operator'] = 'vid_op';
  $handler->display->display_options['filters']['vid']['expose']['identifier'] = 'vid';
  $handler->display->display_options['filters']['vid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['vid']['expose']['reduce'] = TRUE;
  /* Filter criterion: Taxonomy term: Term ID */
  $handler->display->display_options['filters']['tid_raw']['id'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['tid_raw']['field'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_raw']['expose']['operator_id'] = 'tid_raw_op';
  $handler->display->display_options['filters']['tid_raw']['expose']['label'] = 'TID';
  $handler->display->display_options['filters']['tid_raw']['expose']['operator'] = 'tid_raw_op';
  $handler->display->display_options['filters']['tid_raw']['expose']['identifier'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Taxonomy term: Nom (name_field) */
  $handler->display->display_options['filters']['name_field_value']['id'] = 'name_field_value';
  $handler->display->display_options['filters']['name_field_value']['table'] = 'field_data_name_field';
  $handler->display->display_options['filters']['name_field_value']['field'] = 'name_field_value';
  $handler->display->display_options['filters']['name_field_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['name_field_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['name_field_value']['expose']['operator_id'] = 'name_field_value_op';
  $handler->display->display_options['filters']['name_field_value']['expose']['label'] = 'Nom';
  $handler->display->display_options['filters']['name_field_value']['expose']['operator'] = 'name_field_value_op';
  $handler->display->display_options['filters']['name_field_value']['expose']['identifier'] = 'name_field_value';
  $handler->display->display_options['filters']['name_field_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    9 => 0,
    7 => 0,
    10 => 0,
    11 => 0,
    6 => 0,
    5 => 0,
    8 => 0,
    3 => 0,
    4 => 0,
  );
  /* Filter criterion: Taxonomy term: Vocabulary */
  $handler->display->display_options['filters']['vid_1']['id'] = 'vid_1';
  $handler->display->display_options['filters']['vid_1']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['vid_1']['field'] = 'vid';
  $handler->display->display_options['filters']['vid_1']['operator'] = 'not in';
  $handler->display->display_options['filters']['vid_1']['value'] = array(
    14 => '14',
    16 => '16',
    17 => '17',
    18 => '18',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/structure/taxonomie/admin-taxo';
  $translatables['admin_taxo'] = array(
    t('Master'),
    t('Admin Taxo'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Taxonomy term'),
    t('- Choose an operation -'),
    t('vid'),
    t('.'),
    t(','),
    t('voc'),
    t('tid'),
    t('Nom EN'),
    t('Nom FR'),
    t('Synonyms EN'),
    t('Synonyms FR'),
    t('Term edit link'),
    t('modifier'),
    t('Vocabulaire'),
    t('TID'),
    t('Nom'),
    t('Page'),
    t('more'),
  );
  $export['admin_taxo'] = $view;

  $view = new view();
  $view->name = 'taxonomy_companies_manager';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'taxonomy companies manager';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'taxonomy companies manager';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Bulk operations: Taxonomy term */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'views_entity_taxonomy_term';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 1,
      'skip_confirmation' => 1,
      'override_label' => 0,
      'label' => '',
      'postpone_processing' => 0,
    ),
  );
  /* Field: Taxonomy term: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['name']['link_to_taxonomy'] = TRUE;
  /* Filter criterion: Taxonomy vocabulary: Machine name */
  $handler->display->display_options['filters']['machine_name']['id'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['filters']['machine_name']['field'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['value'] = array(
    'onthologie' => 'onthologie',
    'tag_libres' => 'tag_libres',
    'company' => 'company',
  );
  $handler->display->display_options['filters']['machine_name']['exposed'] = TRUE;
  $handler->display->display_options['filters']['machine_name']['expose']['operator_id'] = 'machine_name_op';
  $handler->display->display_options['filters']['machine_name']['expose']['label'] = 'Vocabulaire';
  $handler->display->display_options['filters']['machine_name']['expose']['operator'] = 'machine_name_op';
  $handler->display->display_options['filters']['machine_name']['expose']['identifier'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['expose']['reduce'] = TRUE;
  /* Filter criterion: Taxonomy vocabulary: Machine name */
  $handler->display->display_options['filters']['machine_name_1']['id'] = 'machine_name_1';
  $handler->display->display_options['filters']['machine_name_1']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['filters']['machine_name_1']['field'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name_1']['value'] = array(
    'onthologie' => 'onthologie',
    'tag_libres' => 'tag_libres',
    'company' => 'company',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'taxonomy-companies-manager';
  $translatables['taxonomy_companies_manager'] = array(
    t('Master'),
    t('taxonomy companies manager'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Taxonomy term'),
    t('- Choose an operation -'),
    t('Vocabulaire'),
    t('Page'),
    t('more'),
  );
  $export['taxonomy_companies_manager'] = $view;

  return $export;
}
